# ![](img/nav42/desktop.png) L'environnement graphique

**Commençons par découvrir les différents éléments affichés à l'écran.** 
Sur cette capture d'écran de l'environnement de bureau [LXQt](#lxqt), vous pouvez 
déjà identifier les premiers éléments détaillés dans la suite des cahiers :

![Le bureau LXQt avec le menu des applications et le gestionnaire de fichier](img/03-gui/01-prezdesktop.jpg)

**Le "tableau de bord" ou "barre de tâches"** (en bas dans l'exemple mais qui pourra 
être déplacé comme vous le souhaitez) intègre entre autres choses, le "menu 
des applications" listant vos logiciels installés, une série de lanceurs 
(les petites icônes) pour vos applications favorites, la liste des fenêtres 
ouvertes, l'heure, la zone de notification... (plus de dtails dans la section suivante).

**Une fenêtre du gestionnaire de fichiers** qui liste les répertoires 
de votre dossier personnel.

Vous découvrirez d'autres interfaces et agencements dans le chapitre dédié 
aux environnements de bureau ([chap 4.2](#choisir-son-environnement-de-bureau-gnulinux)).

## Les barres de tâches

Le tableau de bord, la barre de tâches, la barre d'information... tout ceci pour 
parler de l'interface de lancement et d'information de votre système.

C'est généralement un bandeau situé en haut ou en bas de votre écran, et qui 
affiche plusieurs informations, lanceurs, menus pour vous permettre d'accéder 
rapidement à vos données ou vos applications, mais aussi pour vous informer 
(d'un nouveau courriel, de l'heure, si un disque USB est branché...) via la 
zone de notification.

Voici un aperçu des différents "tableaux de bord" des bureaux Debian sur Gnome, Xfce, 
LXDE, MATE, Cinnamon, KDE et LXQt:

![Tableau de bord Gnome-Shell](img/03-gui/02-panel-gnome.jpg)

![Tableau de bord Xfce](img/03-gui/03-panel-xfce.jpg)

![Tableau de bord LXDE](img/03-gui/04-panel-lxde.jpg)

![Tableaux de bord pour MATE](img/03-gui/05-panel-mate.jpg)

![Tableau de bord Cinnamon](img/03-gui/06-panel-cinnamon.jpg)

![Tableau de bord KDE](img/03-gui/07-panel-kde.jpg)

![Tableau de bord LXQt](img/03-gui/08-panel-lxqt.jpg)

Le tableau de bord, quel que soit le bureau, affiche au minimum les 
éléments suivants :

- **Un menu d'applications** vous permettant d'accéder aux logiciels installés. 
Les applications sont généralement classées par catégories (Multimédia, 
Bureautique...) et se lancent lors d'un clic-gauche sur leur label ou leur icône.
- **Une liste des fenêtres actives** ou du moins, le titre de la fenêtre active 
affiché. Un clic-gauche sur le bouton dédié va, selon le contexte, minimiser, 
restaurer ou mettre au premier plan l'application ciblée.
- **L'heure avec la date** au survol du pointeur. Sur certains bureaux, un 
clic-gauche sur l'heure ouvre un agenda.
- **Une zone de notification** plus ou moins garnie selon le bureau, prévue pour 
afficher les messages de vos applications (nouveau courriel, connexion réseau...)
- **Un bouton d'action** pour quitter la session de travail, mettre en veille, 
redémarrer ou arrêter votre ordinateur. Vous pourrez aussi, selon votre 
configuration, changer d'utilisateur depuis ce bouton d'action, et profiter du 
mode multi-utilisateur des systèmes Debian GNU/Linux.  
Notez que ces "*actions*" sont parfois intégrées directement dans le menu 
d'applications.

Comme la plupart des éléments des bureaux GNU/Linux, la barre de tâches peut 
être configurée, agrémentée de greffons (petits modules spécialisés.) ou 
tout simplement supprimée ![](img/smile/wink.png) !

Un clic-droit sur le tableau de bord ouvre un menu déroulant permettant la configuration 
(sauf pour le bureau Gnome-3). Ici un exemple de configuration du tableau de bord Xfce :

![Configurer le tableau de bord Xfce depuis un clic-droit](img/03-gui/09-panelcfg-1.jpg)

![Configuration du tableau de bord Xfce](img/03-gui/10-panelcfg-2.jpg)

Plus de détails dans le chapitre consacré à la découverte des environnements de bureau 
GNU/Linux ([chap.4.2](#choisir-son-environnement-de-bureau-gnulinux)).

## Les menus

Les applications installées sur votre système sont disponibles via plusieurs 
vecteurs : lanceurs sur le bureau, dans la barre de tâches ou plus généralement, 
depuis les **menus**.

Dans les menus, vos programmes sont **listés et classés par catégories**. Un 
clic-gauche sur l'icône de menu affiche les entrées d'applications et de sections. 
Un clic-gauche sur l'icône d'un logiciel lance l'application dédiée. Chaque 
bureau possède son menu spécifique :

![Menu par catégories sur Cinnamon](img/03-gui/11-menu-cinnamon.jpg)

![Menus déroulants classiques sur LXQt ou XFCE](img/03-gui/12-menu-lxqt-xfce.jpg)

![Menu plein-écran sur Gnome-Shell](img/03-gui/13-menu-gnome.jpg)

## Les fenêtres

![Le navigateur Firefox et le gestionnaire de fichiers sur Gnome](img/03-gui/14-fenetres.jpg)

Vos applications, vos données, vos clés USB, sont généralement affichées 
dans un cadre décoré. Chaque environnement de bureau décore ses fenêtres 
à sa façon, mais on retrouve sensiblement les mêmes fonctions :

- **la barre de titre** en haut affiche le titre de la fenêtre et les 
boutons d'actions (minimiser/maximiser/fermer)
- **les décorations** entourant la fenêtre et qui proposent aux coins 
inférieurs, deux zones pour redimensionner la fenêtre à l'aide du clic-gauche .
- **la zone de statut** : certaines applications affichent des informations 
au bas des fenêtres (place disponible sur la partition active, poids du 
fichier pointé, etc.)

Afin d'**agir sur les fenêtres**, vous pouvez utiliser certains raccourcis 
clavier ([chap 2.3.2](#les-raccourcis-clavier)) mais plus généralement, 
c'est votre souris qui entre en jeu. ![](img/mouse/mouse-mini.png)

### Fermer une fenêtre

Pour fermer, clic-gauche sur le bouton "fermer" des fenêtres ouvertes : il 
est généralement symbolisé par une croix et est situé en haut à droite dans 
la plupart des cas.

![Fermer une fenêtre avec la souris](img/03-gui/15-fenetre-fermer.jpg)

### Déplacer une fenêtre

Pour déplacer une fenêtre sur votre écran, il suffit de placer votre pointeur 
sur la **barre de titre** (en haut de la fenêtre), puis clic-gauche maintenu 
et déplacement.  
Votre pointeur change alors d'apparence :  
![](img/mouse/pointeur-default.png) devient ![](img/mouse/pointeur-main.png)

La fenêtre suivra le pointeur tant que vous gardez la pression sur le bouton 
de la souris.  
Si vous n'avez pas accès à la barre de titre, vous pouvez utiliser la touche 
spéciale [Alt] de votre clavier. Placez votre pointeur dans la fenêtre puis 
pressez simultanément sur [Alt] et le clic-gauche de votre souris, vous 
pourrez alors déplacer votre fenêtre.

### Redimensionner une fenêtre

Les fenêtres s'affichent directement avec une certaine taille sur votre écran. 
Pour les fermer, vous avez vu qu'il fallait cliquer sur le bouton de 
fermeture signalé par une croix.

**Pour redimensionner une fenêtre**, il faut placer le pointeur sur un des 
bords de la fenêtre ou mieux, sur l'un des coins inférieurs.  
Votre pointeur change alors d'apparence :  
![](img/mouse/pointeur-default.png) devient ![](img/mouse/pointeur-bl.png) 
ou ![](img/mouse/pointeur-br.png) selon que vous placiez le pointeur à 
gauche ou à droite.

Un clic-gauche maintenu lorsque le pointeur change d'apparence vous permettra 
de redimensionner la fenêtre à votre convenance.

Si vous n'avez pas accès à la barre de titre, vous pouvez utiliser la touche 
spéciale [Alt] de votre clavier. Placez votre pointeur dans la fenêtre puis 
pressez simultanément sur [Alt] et le clic-droit de votre souris, vous 
pourrez alors redimensionner votre fenêtre.

**Pour maximiser la fenêtre**, effectuez un double-clic (deux pressions 
rapides sur le clic-gauche de votre souris) sur la barre de titre (sur GNOME) 
ou utilisez le bouton de maximisation situé juste à côté du bouton de 
fermeture s'il est présent (sur la plupart des bureaux).

## Les bureaux virtuels

Pour éviter de surcharger votre espace de travail, les environnements Debian 
GNU/Linux proposent depuis plusieurs années le principe des bureaux virtuels : 
ce qui s'affiche à l'écran est déposé sur un "bureau". Vous pouvez en avoir 
plusieurs, ce qui signifie que si vous passez sur un autre "bureau", celui-ci 
sera vide. Si vous revenez sur le premier bureau, vous retrouvez vos 
applications ouvertes.

![](img/misc/noob-info.png#left)  
**... Comment ça "plusieurs bureaux" ??**  
C'est comme si vous aviez **plusieurs écrans** pour votre ordinateur, collés 
**les uns derrière les autres** avec la possibilité de changer l'ordre à volonté. 
Vous ouvrez votre navigateur internet en plein écran sur votre premier bureau 
virtuel, puis vous voulez jeter un œil aux dernières photos de familles. Alors 
vous "passez au bureau suivant" qui se trouve vide, vous pouvez ainsi afficher 
vos photos en plein écran aussi, et revenir à votre premier bureau pour 
profiter de tout l'espace pour votre navigation.

C'est aussi un moyen de **classer vos tâches** : le premier bureau sera réservé 
aux applications Internet, le deuxième au multimédia, le troisième à la 
bureautique et ainsi de suite, vous permettant ainsi de laisser votre travail 
ouvert pour une modification ultérieure, sans que cela gène vos autres activités.

Chaque environnement affiche les bureaux virtuels à sa façon :

**Gnome** affiche vos bureaux dans un panneau latéral :

![Gnome et ses bureaux virtuels listés à droite](img/03-gui/16-bureaux-virtuels-gnome.jpg)

**Xfce**, **Mate** ou encore **LXDE** affichent leurs bureaux dans leur tableau de 
bord sous la forme de cadres représentants les différents espaces de travail :

![Xfce et 4 bureaux virtuels dans le tableau de bord](img/03-gui/17-bureaux-virtuels-xfce.jpg)

## La gestion des fichiers sur GNU/Linux

Vos données, vos films, vos documents et vos photos sont considérés comme des 
fichiers par Debian. Ces fichiers sont organisés dans des dossiers.

Debian est un système d'exploitation (le gros programme qui fait tourner votre 
ordinateur) qui organise les données selon leurs "adresses" respectives, 
c'est-à-dire le chemin à parcourir pour y accéder depuis le point de départ 
général (la racine du système identifiée par un *slash* "/").

![](img/misc/noob-info.png#left)  
**... la photo de mamie est un "fichier" qui a une "adresse" par rapport à une "racine" ???**  
Imaginez votre ordinateur comme votre maison. Si votre livre préféré se trouve à un 
certain endroit, cet "endroit" est comme son "adresse" par rapport à la "maison". 
Par exemple, si ce livre se trouve dans le 2° tiroir de votre table de nuit, on peut 
définir son "adresse" (le chemin qu'il faut parcourir pour l'atteindre) ainsi : 
Maison,chambre,table de nuit,2° tiroir, livre préféré.  
Pour séparer les "pièces", on utilise le symbole "/". ce qui traduit l'adresse en 
langage informatique par : /maison/chambre/table de nuit/2° tiroir/livre préféré.  
La "racine" du système est symbolisée par un simple "/". le dossier principal 
contenant les données des utilisateurs est symbolisé par "/home/" et votre 
dossier personnel porte votre nom d'utilisateur "/home/jean-heudes/".

Si on reprend l'exemple du livre préféré, son adresse pourrait être :  
"/home/jean-heudes/Documents/livres/mon_livre_préféré.pdf"

### Vos données personnelles

![Le gestionnaire de fichier sur LXQt avec deux onglets ouverts](img/03-gui/18-fenetre-onglets.jpg)

Vos données personnelles sont stockées dans votre dossier utilisateur, à l'adresse 
"/home/votre login". Elles sont organisées en dossiers pour plus de 
facilité lors de la recherche et de la consultation par vous ou certains de vos 
programmes (il est plus logique pour une visionneuse d'images de s'ouvrir dans 
votre dossier "Images").

### Vos fichiers cachés

Certains fichiers de votre dossier personnel concernent la configuration de votre 
interface, votre police d'affichage, vos mots de passe Firefox, etc.  
Ce type de données n'a aucunement besoin d'être affiché à l'écran lorsque vous 
consultez vos photos ou vos documents : c'est pourquoi ces dossiers ou fichiers 
sont *cachés*.

Ces dossiers ou fichiers cachés sont identifiés sous la forme 
"/home/votre_identifiant/.fichier_caché". Notez le "**.**" (point) devant 
le nom du fichier. Pour les afficher, pressez simultanément [Ctrl]+h (h pour 
"hidden") ou depuis le menu de votre gestionnaire de fenêtres "Affichage" > 
"Afficher les fichiers cachés" :

![Affichage des fichiers cachés sur LXQt](img/03-gui/19-fichiers-caches.jpg)

### Les fichiers du système

Debian GNU/Linux intègre une série de programmes pour naviguer sur internet, 
dans votre dossier personnel, dans vos photos, etc. Ces programmes sont situés 
dans des "dossiers système".

Ces dossiers sont protégés en écriture et certains en lecture : cela signifie 
que vous pouvez en consulter certains, mais que vous ne pouvez en modifier aucun 
en tant que simple utilisateur.  
Pour modifier ces dossiers ou fichiers, vous devez passer par le compte 
"root" ([chap.3.8.3](#exemple-administrateur)).

## Exemple de gestionnaire de fichiers : Thunar

![](img/apps/thunar.png#left)  
**Thunar** est le gestionnaire de fichiers par défaut du bureau **Xfce**. Ce 
programme vous permet de naviguer dans vos dossiers "Images", "Documents", etc... 
avec l'aide de la souris (en effectuant un double-clic sur un dossier pour 
parcourir son contenu) ou du clavier (naviguez parmi les dossiers avec les 
flèches du clavier puis pressez la touche [Enter] ou [Entrée] pour l'ouvrir). 
Son rôle est d'afficher à l'écran le contenu de ces dossiers : vos données 
personnelles. Thunar est accessible depuis le menu d'applications Xfce de votre 
barre de tâches, sous le nom "Gestionnaire de fichiers".

Chaque environnement de bureau GNU/Linux a son gestionnaire de fichiers dédié qui 
présente une interface légèrement différente de celle de Thunar. Cependant, vous 
retrouverez les mêmes fonctionnalités de consultation, recherche et modification 
des données.

### Présentation simplifiée de Thunar

Lorsque Thunar affiche votre dossier personnel, un certain nombre 
d'informations et d'outils sont déjà à votre disposition :

![Présentation du gestionnaire de fichiers Thunar](img/03-gui/20-thunar-explain.jpg)

- **#1 La barre de titre** : elle renseigne sur le programme lancé, le nom 
du dossier consulté. Elle intègre les "boutons d'actions" qui permettent, 
lors d'un clic-gauche de la souris, de minimiser la fenêtre (alors disponible 
dans la barre de tâches), maximiser la fenêtre ( elle occupera tout l'écran), 
fermer la fenêtre ou d'autres actions selon le gestionnaire de fenêtre utilisé.
- **#2 La barre de menu** : elle permet d'agir sur les fichiers ou dossiers 
(copier/coller/effacer/renommer, etc), de changer d'emplacement, de style 
d'affichage (en icônes, liste, liste compacte), ou de fermer la fenêtre, 
toujours à l'aide du clic-gauche.
Si cette barre de menu disparaît, appuyez sur les touches Ctrl+m pour la faire 
réapparaître. 
- **#3 La barre d'emplacements** : elle indique le dossier dans lequel vous 
êtes et si la place est suffisante, le(s) dernier(s) dossier(s) visité(s).
- **#4 la barre d'onglets** : elle indique les dossiers ouverts dans la 
fenêtre active. Les onglets Thunar fonctionnent comme ceux de votre navigateur 
internet.
- **#5 Le panneau latéral** : il affiche les dossiers principaux (dossier 
personnel, corbeille, système de fichiers, bureau), vos raccourcis (dossiers 
préférés) et les volumes externes (clés USB ou disques durs externes branchés 
en USB). Un clic-gauche sur un libellé affichera le dossier sélectionné. Un 
clic-central ouvrira le dossier dans un nouvel onglet (pratique pour déplacer 
ou copier des données). Le panneau latéral peut aussi afficher l'arborescence 
de votre système, c'est-à-dire l'intégralité de vos dossiers et fichiers 
classés hiérarchiquement. Vous pouvez masquer/afficher le panneau latéral avec 
le raccourci clavier [Ctrl]+'b'
- **#6 Le cadre principal** : il affiche le contenu du dossier. Si le dossier 
sélectionné contient d'autres dossiers, ils seront affichés avant les fichiers 
"simples" (photos, documents PDF, etc) et classés, par ordre alphabétique par défaut (vous pouvez modifier le type de classement depuis la barre de menu > "Affichage").
- **#7 La barre de statut** : elle affiche le nombre d'éléments dans le dossier 
concerné, indique si un ou plusieurs fichiers sont sélectionnés, ainsi que la 
place restante sur le système de fichiers affiché.

### Utilisation et fonctionnalités de Thunar

Thunar va vous permettre de consulter vos données, 
les classer et les modifier. 

Notez que d'autres gestionnaires de fichiers utilisent un rendu différent qui 
permet d'afficher le menu de l'application directement dans la barre de titre, 
comme sur Gnome par exemple ([chap.4.2.1](#gnome)).

#### Consultation des données

La consultation de vos données est simple. Lancez **Thunar** qui s'ouvrira par 
défaut sur votre dossier personnel. Vous pouvez alors choisir d'ouvrir un 
dossier spécifique selon la nature des données à consulter.

**Pour visiter, ouvrir un dossier**, placez le pointeur de votre souris dessus : 
un double clic-gauche ouvrira le dossier dans la même fenêtre. Un clic-central 
ouvrira le dossier sélectionné dans un onglet de la fenêtre.

Vous pouvez également cliquer sur un des raccourcis situés dans le panneau latéral 
gauche de votre fenêtre Thunar.

**Pour ouvrir un fichier**, placez le pointeur dessus : un double clic-gauche 
ouvrira le fichier avec l'application assignée par défaut. Un clic-droit 
ouvrira un menu contextuel qui vous permettra, entre autres choses, d'ouvrir 
le fichier avec l'application de votre choix.

#### Sélection des données

Pour sélectionner plusieurs éléments, placez votre pointeur dans un espace vide 
de votre fenêtre puis, clic-gauche maintenu pour sélectionner les éléments 
désirés en déplaçant votre pointeur, puis relâchez votre souris. Pour retirer 
un ou plusieurs éléments de la sélection, vous pouvez pointer l'élément, 
puis un clic-gauche tout en appuyant sur la touche [Ctrl] de votre clavier. Une 
fois sélectionnés, vous pouvez effectuer les actions de modification détaillées 
dans le chapitre "Modifications" ci-après. Plus de détails dans l’initiation 
simplifiée ([chap.2.2.4.4](#selectionner-plusieurs-elements)).

#### Classement des données

Vous allez me dire : *je fais bien ce que je veux avec mes données !*

... et **vous avez bien raison** ![](img/smile/big_smile.png) !  
Cependant, certaines applications iront chercher plus facilement vos données 
dans leurs dossiers spécifiques. Ainsi, le logiciel de capture d'écran 
enregistrera dans le dossier "Images", votre navigateur internet enregistrera 
vos données dans le dossier "Téléchargements", votre lecteur de musique 
cherchera dans votre dossier "Musique"... Et ainsi de suite.

Thunar vous permet de créer des raccourcis afin de faciliter l'accès, 
le classement et donc la recherche, de vos données. **Pour créer un raccourci**, 
il suffit de "glisser-déposer" le dossier désiré dans le panneau latéral : 
clic-gauche maintenu sur le dossier sélectionné, puis déplacez votre pointeur 
dans le panneau latéral. Votre dossier sera alors toujours accessible d'un 
simple clic.

#### Modifications des données depuis le menu contextuel

Le **menu contextuel** déclenché par un clic-droit sur un dossier ou un fichier, 
vous permettra d'effectuer une série de modifications sur le dossier ou 
le fichier sélectionné.  
Notes que si vous sélectionnez plusieurs éléments, l'action sera appliquée à 
tous les éléments.

![Le menu contextuel dans Thunar](img/03-gui/21-thunar-contextuel.jpg)

Dans notre exemple, le menu contextuel vous propose les actions suivantes :

- **Ouvrir** avec l'application par défaut, ici le visionneur d'images Ristretto.
- **Ouvrir avec** "Firefox ESR", l'autre application désignée par défaut par Debian.
- **Ouvrir avec** une autre application : si vous choisissez cette option, 
une fenêtre vous permettra de naviguer dans votre système afin de sélectionner 
une application différente (commencez par /usr/bin/nom de l'application).
- **Envoyer vers** est un menu pour partager par courriel, placer comme 
lanceur, ou d'autres options différentes selon le type de fichier sélectionné.
- **Couper** : cette action **supprimera** le fichier/dossier sélectionné dans 
le but d'être **collé** ailleurs. Il vous suffit ensuite de naviguer jusqu'au 
**dossier de destination**, d'effectuer un clic-droit dans la fenêtre du 
dossier de destination et de choisir "**coller**".
- **Copier** : cette action laissera un exemplaire du fichier/dossier sélectionné 
sur place et fera **une copie dans le dossier de destination** selon la même 
procédure que pour "**couper**".
- **Déplacer dans la corbeille** : cette action **supprimera** le fichier/dossier 
sélectionné pour le déplacer directement dans votre **corbeille** (voir le 
chapitre suivant).
- **Renommer** : cette action vous permet de modifier le nom du fichier/dossier 
sélectionné.
- **Créer une archive** : cette action vous permet de compresser un ou plusieurs 
fichier(s) ou dossier(s) sélectionné(s). Dans la fenêtre qui s'affiche alors, 
choisissez un dossier de destination en naviguant dans le panneau latéral, 
puis indiquez le nom de votre archive avec son type. Un clic sur "Nouveau" pour 
lancer la création de l'archive.
- **Définir comme fond d'écran** est explicite et n'apparaît que sur une image.
- **Propriétés** : cette action vous permet de modifier le nom du fichier, 
l'application par défaut pour ouvrir ce fichier, lui attribuer un "emblème" ou 
gérer les droits ("Permissions d'accès" du fichier/dossier sélectionné).

#### Suppression de vos données

La fameuse "Corbeille". Elle est accessible directement depuis le panneau 
latéral de votre fenêtre Thunar. Une icône "pleine" vous indique que des 
éléments se trouvent dans la corbeille.

![Vider la corbeille depuis le menu de Thunar](img/03-gui/22-corbeille.jpg)

**Pour vider la corbeille** et supprimer définitivement les éléments qui s'y 
trouvent, un clic-droit sur l'icône de la corbeille puis choisir 
"Vider la corbeille". 
Vous pouvez aussi, après avoir sélectionné la corbeille, passer par le menu 
"Fichier" de la barre de menu de Thunar puis "Vider la corbeille".

Il arrive que le menu contextuel comporte l'entrée "Supprimer". Soyez vigilants 
car cette entrée de menu ne déplacera pas vos fichiers dans la corbeille : 
ils seront supprimés immédiatement et définitivement.

## Les droits et permissions

Debian est un système GNU/Linux **multi-utilisateur**. Il faut donc un mécanisme 
pour protéger les dossiers et les fichiers appartenant à chacun pour que 
l'utilisateur *bendia* ne puisse pas modifier le tableau de compte des 
points-chocolat de l'utilisateur *smolski* par exemple.

Pour cela, chaque fichier et chaque dossier appartient à un *propriétaire* 
et à un *groupe d'utilisateur*.

On peut donner pour chaque dossier ou fichier les droits en lecture 
(**R**ead en anglais), en écriture (**W**rite) et en exécution (e**X**ecution), 
et ce distinctement pour le **propriétaire**, le **groupe**, et les **autres** 
(qui ne sont donc ni propriétaires, ni membres du groupe propriétaire).

Pour avoir ces informations, on peut utiliser une commande dans un terminal 
(que vous découvrirez au chapitre suivant) : "ls" (*lister*) avec l'option "-l".

    ls -l
    -rw-r----- 1 smolski gourmands 4096 août 1 16:13 compte_points_choco.ods

Ainsi, on peut voir que l'utilisateur *smolski* a les droits en lecture "**r**" 
et en écriture "**w**" sur le fichier de compte des points-chocolat, que les 
membres du groupe *gourmands* (dont fait partie l'utilisateur *bendia*) 
peuvent juste "**r**"  lire le fichier sans le modifier et que les autres ne 
peuvent pas l'ouvrir "**-**".

![Résumé des droits et permissions](img/03-gui/23-droits-permissions.jpg){.logo}

### Droits et permissions depuis le menu contextuel

Les gestionnaires de fichiers intégrés dans les bureaux Debian permettent 
aussi de visualiser et/ou modifier les droits et permissions des dossiers ou 
fichiers de votre système avec la souris. Pour cela, vous devez ouvrir le 
menu contextuel avec un clic-droit sur le fichier/dossier dont vous désirez 
connaître les permissions, et choisir "Propriétés". Dans la fenêtre qui 
s'affiche, sélectionnez l'onglet "Permissions" :

![Menu contextuel : propriétés et permissions](img/03-gui/24-proprietes-permissions.jpg)

Dans cet exemple, le fichier appartient à l'utilisateur "arpinux" qui a accès 
en lecture et en écriture, et est accessible en "lecture seule" aux autres 
utilisateurs ou groupes.

## Le terminal

![](img/apps/terminal.png#left)  
Lorsque vous lancez une application depuis un menu, lorsque vous déplacez un 
fichier d'un dossier à un autre avec votre souris, vous envoyez graphiquement 
des instructions à l'ordinateur. 

Ces instructions peuvent être envoyées directement sans passer par un menu ou 
un logiciel grâce au **Terminal** qui vous donne accès à la **ligne de commande**. 
Cet outil est plus précis qu'une interface graphique, car vous avez accès à *toutes 
les options* de vos applications. Il est aussi votre seul recours en cas de perte 
de session graphique.

Le souci est que ça fait un peu peur cette petite boîte pleine de signes étranges 
... alors on va démystifier tout ça et vous montrer que le terminal peut devenir 
votre nouvel ami ![](img/smile/smile.png).

Dans le doute, n'hésitez pas à poser vos questions sur les forums d’entraide 
([chap.1.2](#trouver-de-laide)) avant de lancer une commande.

![](img/misc/warning.png#left)  
**Ne testez pas votre terminal en mode administrateur !!** : Certaines commandes 
bien pratiques comme "**rm**" (**r**e**m**ove = efface) permettent de passer 
par-dessus le principe de la "corbeille" mais peuvent être dévastatrices en mode 
administrateur sur un système entier.

### Présentation

![Présentation du terminal](img/03-gui/25-term-prez.jpg)

On va commencer simplement par ce que vous voyez :

- **l'identifiant**, c'est vous, enfin, celui ou celle qui se connecte pour 
utiliser le terminal
- **le nom d'hôte**, c'est le nom de votre machine sur le réseau local, celui que 
vous renseignez lors de l'installation.
- **l'adresse** est le chemin qui mène à l'endroit où vous vous trouvez sur le 
système (ici le dossier personnel /home/arp/ symbolisé par un tilde "**~**")
- **l'invite de commande** est l'endroit où vous allez lancer une commande. Le 
"retour" (le résultat de la commande) sera affiché à la suite.

La configuration de cet affichage se trouve dans le fichier ~/.bashrc (un fichier 
caché de votre répertoire personnel), le fichier de configuration de l'interpréteur 
"bash" qui gère les commandes lancées dans le terminal (pour faire court). **bash** 
permet d'envoyer des commandes à travers le terminal jusqu'à la machine afin de lui 
donner des instructions ou obtenir des informations.  
Notez que vous pouvez aussi personnaliser graphiquement l'affichage depuis le menu 
"Édition > Préférences".

### Exemple utilisateur

Afin d'apprivoiser le bidule, on va commencer par du simple, **cd** pour "**c**hange 
**d**irectory", qui vous permet de vous balader dans votre système.

Lorsqu'on ouvre le terminal, par défaut, on se trouve dans le répertoire personnel 
de l'utilisateur (le '$HOME' : /home/arp/). Ce répertoire intègre les 
sous-répertoires Images, Téléchargements, etc.

Pour aller dans le sous-répertoire "Images", je tape "cd Images" sans les "" 
(la majuscule à son importance, d'où la nécessité d'identifier clairement le nom 
des fichiers ou répertoires que l'on recherche...) puis je presse la touche [Enter] 
ou [Entrée] pour *envoyer* la commande.

Pour rejoindre le dossier "Images" depuis n'importe quel répertoire du système, 
il faut indiquer le chemin en entier "/home/arp/Images" ('arp' étant à remplacer par votre identifiant) :

![Utilisation de "cd" pour naviguer dans les dossiers en console](img/03-gui/26-term-user1.jpg)

Vous voyez que la tilde "**~**" a changé : vous avez changé de répertoire, comme 
dans votre gestionnaire de fichiers quand vous ouvrez un dossier.

Dans un gestionnaire de fichiers, lorsque vous ouvrez un dossier, vous "voyez" ce qu'il 
y a dedans. Avec un terminal, il faut *lister* les éléments avec la commande "**ls**" :

![Lister les répertoires et fichiers présents avec "ls"](img/03-gui/27-term-user2.jpg)

... simple non ? Vous voyez, vous n'avez rien cassé mais, vous allez me dire que 
c'est un peu inutile ce genre de truc...

On va passer à des commandes plus sympathiques :  
'**uname -r**' vous donne la version de votre noyau Linux actif

![Console : uname -r](img/03-gui/28-term-user3.jpg)

'**uptime**' vous donne le temps de fonctionnement de votre session de travail, 
le nombre d'utilisateurs connectés et la charge système. Le "load average" calcule 
les processus en cours et en attente durant la dernière minute, il y a 5 minutes 
et il y a 1/4 d'heure, afin de voir si des processus ne sont pas trop en file 
d'attente. Si le "load" dépasse 1 (pour les vieux ordis) ou 2 (pour les dualcore 
et +) cela veut dire qu'un processus est en cours et un autre en file d'attente.

![Console : uptime](img/03-gui/29-term-user4.jpg)

Revenir à votre dossier personnel ? un petit '**cd**' tout seul pour revenir 
à "**home**".

![Console : cd](img/03-gui/30-term-user5.jpg)

Il y en a trop sur l'écran ? un petit '**clear**' videra votre console

![Console : clear](img/03-gui/31-term-user6.jpg)

### Exemple administrateur

Sur un système GNU/Linux, un **administrateur** est un utilisateur qui a le droit 
d'administrer le système, d'installer ou supprimer des applications et de modifier 
les comptes des utilisateurs "normaux" (entre autres choses). Vous pouvez obtenir 
les droits administrateur en passant par le compte "**root**" ou vous substituer 
à lui grâce à "**sudo**".

#### "root" et "user"

Si l’installation de Debian a été effectuée en créant **à la fois un compte 
superutilisateur "root" et un compte utilisateur "normal"** (pour l’utilisation 
courante du système), pour passer une commande en mode administrateur lorsque la 
session est ouverte en tant qu’utilisateur "normal", Debian utilise la commande 
"**su -**". Le mot de passe superutilisateur vous est demandé, rien ne s’affiche à 
l’écran lors de la saisie du mot de passe, c’est normal.

    user@debian-pc:~$ su -
    Mot de passe :
    root@debian-pc:~# apt update

Vous remarquez que le "**$**" identifiant un utilisateur classique, a été remplacé 
par un "**#**" désignant le compte administrateur "**root**". Une fois connecté 
en "root" dans votre session de terminal, vous pouvez lancer des commandes 
d’administration, comme ci-dessus, une mise à jour des dépôts avec le 
terminal et la commande "apt update".

#### "user" sans "root"

Si l’installation de Debian a été effectuée **en désactivant le compte 
superutilisateur** (aucun mot de passe renseigné pour "root" lors de l'installation), 
le compte utilisateur "normal" a la possibilité d’obtenir les privilèges du 
superutilisateur avec la commande "**sudo**". Lors du passage en sudo, c’est 
**votre mot de passe** qui vous est alors demandé.

Exemple pour la recherche de mise à jour :

    user@debian-pc:~$ sudo apt update
    [sudo] Mot de passe de user : 
    Réception de :1 http://security.debian.org/debian-security buster/updates InRelease [65,4 kB]
    Atteint :2 http://deb.debian.org/debian buster InRelease
    Réception de :3 http://deb.debian.org/debian buster-updates InRelease [49,3 kB]
    Réception de :4 http://security.debian.org/debian-security buster/updates/main amd64 Packages [185 kB]
    Réception de :5 http://security.debian.org/debian-security buster/updates/main Translation-en [98,9 kB]
    399 ko réceptionnés en 4s (97,0 ko/s)
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    3 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.

Poursuivons l'exemple de mise à jour des dépôts, c'est-à-dire la récupération des 
informations sur les paquets ou les mises à jour disponibles. Après l'update 
(qui vérifie les dépôts), on lance "sudo apt upgrade" pour effectuer la mise à jour. 
Voilà ce vous pourrez voir dans votre terminal :

    user@debian-pc:~$ sudo apt upgrade
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances
    Lecture des informations d'état... Fait
    Calcul de la mise à jour... Fait
    Les paquets suivants seront mis à jour :
      bluetooth bluez libicu63
      3 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
      Il est nécessaire de prendre 9 374 ko dans les archives.
      Après cette opération, 3 072 o d'espace disque seront libérés.
    Souhaitez-vous continuer ? [O/n] O

Notez la lettre "**O**" pour accepter la mise à jour.

Sur GNU/Linux, lorsqu'un processus doit modifier votre système, une confirmation 
vous est généralement demandée. Le terminal vous indique la nature des changements 
prévus et attend votre accord, soit en pressant simplement [Enter] ou [Entrée], 
soit "O" (la lettre, pas le chiffre) pour accepter... soit "n" pour refuser. 

Continuons avec le téléchargement des paquets depuis les serveurs Debian :

    Réception de :1 http://security.debian.org/debian-securit.....
    Réception de :2 http://security.debian.org/debian-securit.....
    Réception de :3 http://security.debian.org/debian-securit.....
    9 374 ko réceptionnés en 1min 1s (154 ko/s)
    Lecture des fichiers de modifications (« changelog »)... Terminé
    (Lecture de la base de données... 123419 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../bluez_5.50-1.2~deb10u1_amd64.deb ...
    Dépaquetage de bluez (5.50-1.2~deb10u1) sur (5.50-1) ...
    Préparation du dépaquetage de .../bluetooth_5.50-1.2~deb10u1_all.deb ...
    Dépaquetage de bluetooth (5.50-1.2~deb10u1) sur (5.50-1) ...
    Préparation du dépaquetage de .../libicu63_63.1-6+deb10u1_amd64.deb ...
    Dépaquetage de libicu63:amd64 (63.1-6+deb10u1) sur (63.1-6) ...
    Paramétrage de libicu63:amd64 (63.1-6+deb10u1) ...
    Paramétrage de bluez (5.50-1.2~deb10u1) ...
    Installation de la nouvelle version du fichier de configuration /etc/bluetooth/input.conf ...
    Paramétrage de bluetooth (5.50-1.2~deb10u1)
    Traitement des actions différées (« triggers ») pour systemd (241-7~deb10u3)
    Traitement des actions différées (« triggers ») pour man-db (2.8.5-2)
    Traitement des actions différées (« triggers ») pour dbus (1.12.16-1)
    Traitement des actions différées (« triggers ») pour libc-bin (2.28-10)
    user@debian-pc:~$ 

Si vous acceptez les changements, vous verrez le processus complet de téléchargement, 
de configuration et d'installation des paquets concernés. Puis, le terminal vous 
"rendra la main" en affichant de nouveau l'invite de commande, "*user@debian-pc:~$*" 

Voilà, vous venez de mettre votre système à jour depuis votre terminal ! 
![](img/smile/cool.png)

![](img/misc/noob-info.png#left)   
**Soyez rigoureux** lorsque vous passez des commandes en mode *administrateur*.  
Pour éviter les erreurs, utilisez l'auto-complétion. Ce mécanisme va permettre 
à l'ordinateur de terminer les commandes que vous avez commencé à taper (3 
lettres suffisent), ou les arguments de ces commandes. Cela se fait en appuyant 
sur la touche [Tab]. Si des choix multiples sont possibles, ils vous seront proposés.

Un mémo pour les commandes GNU/Linux vous est proposé en fin de manuel au 
[chapitre 11](#memo-des-commandes-de-base).

