# ![](img/nav42/launch.png) Démarrage rapide après installation

![back to the future by Peha - cc-by-sa](img/peha/backtothefuture-by-peha-cc-by-sa.png){.logo}

Les premières choses à faire après l'installation : connexion au réseau Wi-Fi, 
résolution de l'écran, configuration de l'imprimante et de tout ce dont vous 
aurez besoin pour rendre votre station de travail opérationnelle.

## Configurez votre connexion réseau

![](img/apps/wireless.png#left)  
Filaire ou Wi-Fi (sans fil), votre système Debian est prévu pour établir une 
connexion réseau. Généralement, la connexion filaire (Ethernet) est reconnue 
nativement. Pour le Wi-Fi, il faut parfois faire appel à un pilote (driver) non-libre.

- **Si votre connexion est reconnue nativement**, passez directement aux 
sections de configuration avec Network-Manager (pour les bureaux Gnome, Mate, 
Cinnamon et Xfce), Wicd (sur le bureau LXDE) ou les éditeurs de connexion pour KDE ou LXQt.
- **Si votre carte réseau n'est pas fonctionnelle**, il faut passer par la 
section de reconnaissance matérielle 
([chap. 6.1.5](#verificationinstallation-dun-micrologiciel)).

### Network-manager-gnome

Le gestionnaire par défaut livré avec Gnome, Mate, Cinnamon, et Xfce. Il est 
disponible depuis son icône dans la zone de notification (ici sur Gnome et Xfce) :

![Gestion du réseau depuis Gnome](img/06-start/01-gnome-network-1.jpg)

![Gestion du réseau depuis Xfce](img/06-start/02-network-manager-xfce.jpg)

Les connexions actives et inactives sont listées, le(s) réseau(x) sans-fil 
détecté(s) également. Un clic-gauche sur le réseau auquel vous souhaitez 
vous connecter et une boîte de dialogue apparaît. Sélectionnez votre réseau 
puis "Se connecter", le mot de passe de votre réseau vous sera demandé (celui 
donné par votre fournisseur d'accès Internet FAI). Ici sur le bureau Gnome :

![Sélection du réseau](img/06-start/03-gnome-network-2.jpg)

![Mot de passe du réseau sans-fil](img/06-start/04-gnome-network-3.jpg)

Puis profitez de la connexion sans-fil :

![Connexion au réseau sans-fil](img/06-start/05-gnome-network-4.jpg)

Pour configurer finement les paramètres Wi-Fi, sélectionnez l'entrée dédiée 
dans le menu principal :

![Entrée de configuration du réseau](img/06-start/06-gnome-network-5.jpg)

Vous pourrez modifier les paramètres de connexion mais aussi "Oublier" le réseau :

![Sélection du réseau à configurer](img/06-start/07-gnome-network-6.jpg)

![Configurer le réseau](img/06-start/08-gnome-network-7.jpg)

![Oublier le réseau sans-fil](img/06-start/09-gnome-network-8.jpg)

### Wicd

**Wicd** ([https://wiki.debian.org/fr/WiFi/HowToUse#Wicd](https://wiki.debian.org/fr/WiFi/HowToUse#Wicd)) 
(**W**ireless **I**nterface **C**onnection **D**aemon) est un gestionnaire 
de réseau indépendant livré avec le bureau LXDE. Son interface est légèrement 
différente de celle du gestionnaire Gnome, mais les fonctions restent les mêmes.  
Wicd est disponible depuis son icône dans la barre de tâches (en bas à 
droite généralement, dans la zone de notification). Un clic-gauche sur 
l'icône ouvre l'interface principale qui vous permet de sélectionner 
votre accès réseau :

![Wicd : propriétés de la connexion](img/06-start/10-wicd1.jpg)

Si votre réseau n'apparaît pas, vérifiez dans les "Préférences" 
de Wicd, que le bon périphérique (celui trouvé dans le 
[chapitre 6.1.5](#verificationinstallation-dun-micrologiciel) : "wlp2s0" par ex.) 
soit renseigné pour le réseau sans-fil :

![Wicd : préférences du gestionnaire de connexion](img/06-start/11-wicd2.jpg)

### Éditeur de connexion KDE

La gestion du réseau sur KDE se fait de la même façon que pour les autres 
bureaux : depuis une interface graphique. Un clic-gauche sur l'icône de 
réseau dans la zone de notification, et vous accédez à la liste des réseaux 
disponibles. Un clic sur "Se connecter", et KDE vous invite à renseigner la 
clé Wi-Fi de votre réseau :

![KDE : sélection du réseau](img/06-start/12-kde-wifi1.jpg)

![KDE : authentification](img/06-start/13-kde-wifi2.jpg)

Une fois fait, vous pourrez vous connecter en Wi-Fi et configurer votre 
réseau depuis l'icône dédiée :

![KDE : éditeur de connexion réseau](img/06-start/14-kde-wifi3.jpg)

### Éditeur de connexion LXQt

LXQt utilise un outil différent : "**Connman**" disponible depuis le menu 
général > Internet > Connman UI Setup

![Connman : lancer l'application depuis le menu LXQt](img/06-start/15-connman-1.jpg)

L'interface principale de ConnMan s'ouvre alors. Les réseaux disponibles 
(connectés ou non) s'affichent dans la section "Services".  
Pour vous connecter à un réseau, utilisez l'onglet "Wireless" :

![Connman : interface principale](img/06-start/16-connman-2.jpg)

![Connman : onglets des réseaux sans-fil](img/06-start/17-connman-3.jpg)

Sélectionnez votre réseau puis cliquez sur "Connect". Renseignez ensuite le mot 
de passe du réseau sélectionné :

![Connman : mot de passe du réseau sans-fil](img/06-start/18-connman-4.jpg)

![Connman : réseau sans-fil connecté](img/06-start/19-connman-5.jpg)

Une icône est venue se placer dans votre zone de notification : au survol, elle affiche les informations du réseau, lors d'un clic, elle affiche l'interface principale de ConnMan.

![Connman : informations depuis la zone de notification](img/06-start/20-connman-6.jpg)

### Vérification/Installation d'un micrologiciel

Les **Micrologiciels** (ou **firmwares**) sont des micro-programmes souvent fournis 
par le constructeur et que le  noyau doit charger dans la carte Wi-Fi elle-même.
Un paquet "firmware-xyz..." installe des micrologiciels... et le noyau fournit 
les pilotes. Le fait qu'un micrologiciel soit disponible n'implique pas toujours 
que le noyau fournisse un pilote/module permettant d’activer la connexion.

Pour vérifier si le micrologiciel est présent , nous allons utiliser la commande 
**ip link** :

    ip link

qui doit retourner un résultat du genre :

    1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode...
        link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    2: enp0s25: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast...
        link/ether 00:24:e8:a1:13:65 brd ff:ff:ff:ff:ff:ff
    3: wlp0s29f7u3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state...
        link/ether e8:94:f6:16:7f:f3 brd ff:ff:ff:ff:ff:ff

Si "wlp..." n'apparaît pas, c'est que le micrologiciel Wi-Fi manque.

#### Identifier une carte réseau et installer un pilote

Si votre connexion réseau ne fonctionne pas, c'est généralement une histoire 
de pilote (driver). Pour choisir le bon, il faut identifier sa carte réseau.

Depuis un terminal, en mode utilisateur, lancez la commande **lspci** qui va 
lister les interfaces présentes. Si vous utilisez cette commande seule, vous 
verrez votre fenêtre de terminal se remplir de toutes sortes d'informations. 
Afin de vous aider à faire le tri, vous allez agrémenter la commande *lspci* 
d'un *grep* (attraper) et d'un *cut* (couper) ainsi :

    lspci | grep -i "net" | cut -d: -f3

Votre terminal vous renverra un résultat du genre :

    Intel Corporation 82567LM Gigabit Network Connection (rev 03)
    Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller ...

Ici, la carte réseau Wi-Fi détectée est une **Broadcom BCM4322** .

Si j'effectue une simple recherche Web  "*Debian Broadcom BCM4322*", 
je trouve très vite la bonne page 
([https://wiki.debian.org/fr/bcm43xx](https://wiki.debian.org/fr/bcm43xx)) 
qui m'indique d'installer **firmware-b43-installer**.

La configuration de la connexion Wi-Fi est un sujet délicat pour les 
distributions GNU/Linux en raison des pilotes non-libres à utiliser.

Si vous ne trouvez pas votre micrologiciel dans la liste des paquets, vous devrez 
peut-être ajouter les dépôts *contrib* et *non-free* à votre sources.list. Plus 
de détails dans le [chapitre 8.1.4](#modification-des-depots).

Pour plus d'informations, visitez la documentation officielle Debian : 
[https://wiki.debian.org/fr/WiFi](https://wiki.debian.org/fr/WiFi).

## Configurez votre imprimante

![](img/apps/print.png#left)  
C.U.P.S 
([https://fr.wikipedia.org/wiki/Common_Unix_Printing_System](https://fr.wikipedia.org/wiki/Common_Unix_Printing_System)), 
pour **C**ommon **U**nix **P**rinting **S**ystem, est comme son nom 
l'indique un gestionnaire d'impression open source crée par Apple.inc 
pour osX et autres Unix-like. Il est utilisé par défaut par Debian pour 
gérer l'impression. Pour ce faire, Cups utilise le protocole d'impression 
Internet (ipp) pour gérer les imprimantes en local ou en réseau.  
Ce qu'il suffit de retenir, c'est que CUPS est l'outil qui gère les impressions.

Si vous avez opté pour une installation exotique, il faudra peut-être installer 
les paquets debian. Depuis un terminal en mode administrateur grâce à 
"**su -**" ([chap.3.8.3](#exemple-administrateur)) :

    apt update && apt install --install-recommends task-print-server

**Compatibilité**

Comme pour le Wi-Fi, certaines imprimantes ont besoin de pilotes externes, 
mais la reconnaissance est tout de même bien meilleure par défaut, ce qui 
permet à Debian d'intégrer une interface simplifiée de configuration 
(détaillée dans la première section de ce chapitre). Les méthodes varient 
d'un constructeur à l'autre :

- pour Brother, visitez la page dédiée : 
[https://support.brother.com/g/b/countrytop.aspx?c=fr&lang=fr](https://support.brother.com/g/b/countrytop.aspx?c=fr&lang=fr),
- pour Epson, rajoutez le depôt ([chap.8.1.4](#modification-des-depots)) suivant 
à votre fichier "sources.list" : 
"deb http://download.ebz.epson.net/dsc/op/stable/debian/ lsb3.2 main" (sans les guillemets)
- pour HP : assurez-vous d'avoir le paquet "hplip" installé sur votre machine. 
Si votre imprimante HP est très récente visitez 
[https://developers.hp.com/hp-linux-imaging-and-printing](https://developers.hp.com/hp-linux-imaging-and-printing), 
téléchargez les paquets correspondants à votre imprimante pour Debian 
(terminant par ".deb") et installez ces paquets grâce à **dpkg** ou 
**GDebi** ([chap.8.7](#installation-de-paquets-externes-.deb)).

Pour vérifier la compatibilité de votre imprimante, visitez la page dédiée 
du site openprinting.org : 
[https://www.openprinting.org/printers](https://www.openprinting.org/printers).

![](img/misc/noob-info.png#left)  
Quelle que soit la méthode choisie, pensez à brancher votre imprimante au 
secteur, à vérifier la réserve de papier, à la connecter à votre ordinateur 
ou au réseau, et à l'allumer.

### Méthode graphique simple avec system-config-printer

Les bureaux Debian GNU/Linux intègrent un gestionnaire graphique simplifié 
d'ajout et de configuration pour votre imprimante : **system-config-printer**.

Si vous avez suivi le processus d'installation Debian classique, cet outil 
est déjà présent sur votre système et est généralement situé dans 
"Paramètres : Configuration de l’impression", ou depuis les centres de contrôle 
de Gnome ou KDE. Si vous ne le trouvez pas, lancez simplement dans un terminal :

    system-config-printer

Si un message précise que le service d’impression est indisponible, il suffit de 
cliquer sur le bouton "Démarrer le service" dans la fenêtre qui s'affiche. 
Votre mot de passe sera demandé. 
Si cela ne change rien, il est très probable que le paquet cups ne soit pas installé.

Dans un terminal en mode administrateur, installez le paquet CUPS 

    apt update && apt install cups

Puis redémarrez votre ordinateur afin de prendre en compte les modifications.

Si tout s'est bien passé, le programme de configuration d’impression fait alors 
apparaître cette fenêtre au lancement de *system-config-printer* :

![System-config-printer : interface par défaut](img/06-start/21-printer-cfg-1.jpg)

Cliquez sur le bouton "Ajouter" pour accéder à la liste des imprimantes détectées. 
Si le bouton n'est pas actif, cliquez sur "Déverrouiller"

![System-config-printer : déverrouiller l'application](img/06-start/22-printer-unlock.jpg)

Vous accédez à la fenêtre "Nouvelle imprimante" qui vous présente la 
**liste des imprimantes détectées** en local ou sur le réseau. Sélectionnez 
votre imprimante puis cliquez sur "Suivant" :

![Sélection de l'imprimante](img/06-start/23-printer-cfg-2.jpg)

Si votre imprimante a été correctement détectée, le pilote a été choisi pour 
vous. Vous pouvez décrire votre imprimante dans la fenêtre suivante. Une fois 
vos modifications effectuées, cliquez sur "Appliquer" :

![Description de l'imprimante](img/06-start/24-printer-cfg-3.jpg)

L'installateur vous propose alors de tester votre imprimante avec une page d'essai :

![Imprimer une page de test ?](img/06-start/25-printer-cfg-4.jpg)

Votre imprimante est désormais ajoutée à votre système. Elle sera disponible 
pour vos tâches d'impression depuis tous les programmes installés 
(LibreOffice, Evince pour les PDF, etc).

Pour configurer votre imprimante, effectuez un double-clic sur son icône :

![Configuration de l'imprimante](img/06-start/26-printer-cfg-5.jpg)

Petite astuce : pour changer le comportement en cas d'erreur, cliquez sur 
votre imprimante, vous arrivez sur la page de réglages de votre imprimante. 
Cliquez sur Comportements et remplacez **Arrêter l'imprimante** par 
**Abandonner la tâche**.

### Méthode graphique universelle avec CUPS

L'interface simplifiée est pratique, mais l'interface classique de CUPS n'est 
plus aussi austère qu'avant. Vous pouvez y accéder simplement depuis votre 
navigateur internet car CUPS est un *serveur d'impression* qui 
propose une interface web.

Rendez-vous donc sur la page 
[http://localhost:631/printers/](http://localhost:631/printers/) qui 
affiche les imprimantes détectées (n'oubliez pas de mettre votre imprimante 
sous tension et de la connecter à votre ordinateur ou au réseau domestique) :

![CUPS : onglet "Imprimantes" de l'interface web](img/06-start/27-cups-1.jpg)

Un clic-gauche sur votre imprimante vous amène à sa page dédiée :

![Page de l'imprimante active](img/06-start/28-cups-2.jpg)

Elle contient les menus de "Maintenance" et "Administration". Selon les 
tâches sélectionnées, le mot de passe administrateur vous sera demandé 
([chap.3.8.3](#exemple-administrateur)).

![CUPS cfg1](img/06-start/29-cups-3.jpg)  ![CUPS cfg2](img/06-start/29-cups-4.jpg)

Plus de détails sur la page dédiée de la documentation Debian-Facile 
[https://debian-facile.org/doc:reseau:cups](https://debian-facile.org/doc:reseau:cups).

## Vérifiez les mises à jour

![](img/apps/update.png#left)  
**Les mises à jour Debian** n'ont rien à voir avec celles de Windows.  
Les mises à jour sur les systèmes GNU/Linux sont **l'expression directe d'une 
des forces du logiciel Libre : les sources publiques**.

Alors que les systèmes privateurs cachent le plus longtemps possible les 
failles de leurs systèmes (puisqu'ils *vendent* leurs systèmes), les 
distributions libres annoncent immédiatement les failles détectées et les 
corrigent dans la foulée !

Alors quand vous voyez une fenêtre surgir pour vous inviter à mettre votre 
système à jour, faites-le, votre ordinateur vous dira merci.

- Mise à jour avec le *terminal* ([chap.6.3.1](#mise-a-jour-avec-le-terminal))
- Mise à jour avec le gestionnaire de paquet *Synaptic* 
([chap.8.5.3](#mise-a-jour-du-systeme-avec-synaptic))
- Mise à jour sur KDE avec *Découvrir* ([chap.8.4.4](#mise-a-jour-avec-decouvrir))
- Mise à jour sur Gnome avec *Logiciels* ([chap.8.3.4](#mise-a-jour-avec-logiciels))

### Mise à jour avec le terminal

Le terminal, la petite boîte qui fait peur alors que c'est votre ami.

Une preuve ? Simple : nous allons mettre à jour l'intégralité du système 
en une seule ligne.

On commence par ouvrir un terminal (généralement situé dans le menu "Système" 
de votre environnement de bureau).

Si l’installation de Debian a été effectuée en créant à la fois un compte 
superutilisateur "root" et un compte utilisateur "normal" (pour 
l’utilisation courante du système), pour passer une commande en mode administrateur 
lorsque la session est ouverte en tant qu’utilisateur "normal", Debian utilise 
la commande "su -". Le **mot de passe superutilisateur** vous est alors demandé.

    user@debian-pc:~$ su -
    Mot de passe : 
    root@debian-pc:~# apt update && apt full-upgrade

Si l’installation de Debian a été effectuée en désactivant le compte superutilisateur 
(aucun mot de passe renseigné), le compte utilisateur "normal" a la possibilité 
d’obtenir les privilèges du super-utilisateur avec la commande "sudo". Lors du 
passage en sudo, c’est **votre mot de passe** qui vous est alors demandé.

    user@debian-pc:~$ sudo apt update && sudo apt full-upgrade
    Mot de passe :

![](img/misc/noob-info.png#left)  
**... Et ça veut dire quoi tout ça d'abord ?**

- "sudo" : permet de se substituer au super-utilisateur
- "apt" : la commande de gestion des paquets Debian ;
- "update" : recharge les informations sur les paquets disponibles ;
- "&&" : une fois que tout est fait sans erreur, lance la suite ;
- "apt" : c'est la même application qui vérifie et applique la mise à jour ;
- "full-upgrade" : réalise une mise à jour complète des applications installées 
avec suppression ou ajout de paquets si nécessaire. Une confirmation vous sera 
demandée. Pour un exemple complet, jetez un œil sur le chapitre "terminal 
administrateur" ([chap.3.8.3](#exemple-administrateur)).

### Notification des mises à jour

Les bureaux GNU/Linux utilisent différents outils pour la gestion des applications : 
**Logiciels** (pour Gnome, Xfce et Lxde), le **Gestionnaire de paquets Synaptic** 
(pour Xfce et Lxde), et **Découvrir** (pour KDE).  
Ces outils intègrent chacun une fonctionnalité de **notification**. 
Ainsi, votre système vérifie régulièrement les dépôts sans vous embêter 
(lorsque le réseau est disponible bien sûr) et affiche une notification au 
démarrage de votre session si des mises à jours sont disponibles.  
Il vous suffit, pour accepter les mises à jour, de cliquer sur la bulle de notification 
qui s'affiche et ouvrira le gestionnaire de mise à jour intégré à votre système.

![Notification de mise à jour dans la barre de tâches KDE](img/06-start/30-kde-update-notify.jpg)

Si vous désirez **vérifier manuellement** les mises à jour disponibles, utilisez 
votre terminal et la commande magique **apt update** en mode administrateur.

    user@debian:~$ su -
    Mot de passe :
    root@debian:~# apt update

## Retrouvez votre compte courriel

![](img/apps/mail.png#left)  
Si vous disposez d'une **messagerie en ligne** de type gmail.com ou free.fr, 
vous pourrez y accéder simplement depuis votre navigateur internet Firefox 
(se lance depuis le menu d'applications, section "Internet"). Entrez 
l'adresse de votre fournisseur de compte en ligne (mailo.com, yahoo.fr, 
orange.fr, google.com...) dans la barre d'adresse et lancez en appuyant sur 
[Enter] ou [Entrée].

Si vous ne disposez pas d'un compte de messagerie, ou que vous désirez en 
créer un nouveau, nous vous conseillons de faire appel à des services 
respectueux de votre vie privée. Notez que les services hébergés en France 
sont soumis à la loi française qui n'est pas un exemple en matière de protection 
de la vie privée.

On peut par exemple citer :

- [https://protonmail.com/fr/](https://protonmail.com/fr/)
- [https://www.mailo.com/fr/](https://www.mailo.com/fr/)
- [https://www.zaclys.com/zmail/](https://www.zaclys.com/zmail/)
- [https://webmail.vivaldi.net](https://webmail.vivaldi.net)
- [https://www.infomaniak.com/fr/hebergement/mail](https://www.infomaniak.com/fr/hebergement/mail)
- [https://posteo.de/fr](https://posteo.de/fr)
- [https://runbox.com](https://runbox.com)
- [https://kolabnow.com](https://kolabnow.com)
- [https://tutanota.com/fr/](https://tutanota.com/fr/)
- [https://mailfence.com](https://mailfence.com)
- [https://mailbox.org](https://mailbox.org)

Voir aussi l’excellent article du blog-libre au sujet des messageries éthiques : 
[https://www.blog-libre.org/2020/05/01/](https://www.blog-libre.org/2020/05/01/)

Si vous utilisiez un **client de messagerie**, un logiciel spécifiquement 
dédié, Debian propose différents équivalents fonctionnant sur le même 
modèle : Gnome intègre le logiciel "Evolution", KDE fonctionne avec "KMail" 
et Xfce adopte **Thunderbird** de la fondation Mozilla.

### Thunderbird : votre courrielleur libre ![](img/logo/thunderbird.png)

**Thunderbird** 
([https://www.thunderbird.net/fr/](https://www.thunderbird.net/fr/)) est
avant tout un **courrielleur**, mais il est aussi un centre de communication 
qui permet de consulter et d'écrire dans les groupes de discussions, de 
"chater" (discuter en ligne), de consulter les flux RSS fournis par certains sites.

Si vous disposez de deux comptes de messagerie ou plus, Thunderbird regroupera 
tout votre courrier de toutes vos boîtes courriel en une seule interface pratique.

**Thunderbird** se lance depuis le menu d’applications, rubrique "Internet", 
"Messagerie Thunderbird".

#### Configurer Thunderbird

Au premier démarrage, **Thunderbird** fournit une interface provisoire de 
configuration ainsi qu'une fenêtre au premier plan qui permet de créer un compte 
chez un fournisseur partenaire de la fondation Mozilla.

Si vous souhaitez profiter de cette option, remplissez les champs et 
laissez-vous guider, la configuration sera automatique.

Si vous n'êtes pas intéressé vous pouvez cliquer sur "Passer cette étape 
et utiliser mon adresse existante".

Une autre fenêtre s'ouvre. Fournissez alors les renseignements demandés à 
propos de votre compte. Vous pouvez choisir si Thunderbird doit retenir le 
mot de passe. Si vous décochez cette option vous devrez taper votre mot de 
passe à chaque connexion.

![Thunderbird : configuration d'un compte courriel](img/06-start/31-thunderbird-1.jpg)

Cliquez sur "Continuer". Thunderbird cherche alors dans sa base de données les 
paramètres spécifiques à votre compte. Lorsqu'il a fini cliquez sur "Terminé".

![Thunderbird : vérification du compte courriel](img/06-start/32-thunderbird-2.jpg)

Thunderbird affiche maintenant les détails de votre compte dans la colonne de 
gauche et télécharge tous vos courriels et, suivant votre fournisseur, vos 
contacts (ceci peut prendre un long moment).

#### L'interface de Thunderbird

![Thunderbird : interface par défaut sur LXQt](img/06-start/33-thunderbird-3.jpg)

L'interface de Thunderbird est relativement intuitive. Dans la barre d'outils 
haute vous pouvez relever votre courrier, écrire un nouveau message, ouvrir 
une session de chat, accéder à votre carnet d'adresse, mettre une étiquette 
à un message, ou encore filtrer vos messages. Si vous cliquez sur un message 
dans le bandeau du haut, des options pour le message seront aussi disponibles : 
répondre, transférer, archiver, indésirable, etc.

Le panneau de droite est réservé au calendrier "Lightning", très intuitif : 
un clic sur une date ouvrira l'assistant de prise de rendez-vous.

Si vous **recherchez un message précis**, vous disposez de plusieurs possibilités :

- taper quelques caractères dans la barre de recherche en haut ;
- cliquer sur l'intitulé des colonnes ("Sujet", "Expéditeur", "Date", "Taille") : 
vos messages seront alors instantanément triés selon le critère choisi, ce qui 
vous évitera d'avoir à faire défiler une liste interminable pour retrouver un 
message ancien. En cliquant une deuxième fois sur le même titre de colonne vous 
inversez l'ordre du tri. Vous pouvez ainsi personnaliser votre affichage des 
messages d'une catégorie selon vos propres critères avec ces outils.

#### Récupérer un ou d'autres compte(s) de messagerie

Si vous disposez d'un ou d'autres comptes de messagerie que vous désirez 
consulter à l'aide de Thunderbird, cliquez maintenant sur les trois petites 
barres horizontales à droite (les paramètres) au bout de la barre de recherche, 
posez votre pointeur sur "Nouveau message", puis dans le menu déroulant cliquez 
sur "Compte courrier existant" et reprenez la procédure de récupération d'un 
compte de messagerie.

#### Les paramètres de Thunderbird

Les trois petites barres horizontales regroupent tous les paramètres. C'est 
la présentation moderne. Si vous désirez changer ce comportement pour retrouver 
des menus classiques, cliquez sur les paramètres, posez le pointeur de votre 
souris sur "Préférences", et cochez "Barre de menus".

Il est toutefois conseillé de visiter les préférences où vous pourrez définir 
vos niveaux de filtres antispam, paramétrer vos étiquettes et aurez des 
options comme n'utiliser qu'un seul mot de passe pour tous vos comptes, entre autre.

#### Protéger vos courriers et vos transferts

![](img/misc/noob-info.png#left)  
**... Chiffrer ses courriels... ça veut dire quoi exactement ?**  
Prenons l'exemple d'un courrier habituel, envoyé par la poste. Vous envoyez 
une carte postale à votre belle-mère par exemple (mais si, vous l'adorez, on 
le sait), vous savez que ce qui est écrit dessus pourra être lu par le facteur 
ou n'importe qui. Eh bien, avec vos courriels, c'est exactement pareil qu'une 
carte postale si vous ne les chiffrez pas. 

*"Peu importe"* me direz-vous, "je me moque que l'on sache que je dis à 
belle-maman qu'il fait beau temps en vacances". Peut-être. Mais dans un 
courriel, il y a plus que des banalités, et on ne sait pas ce qui peut en être 
fait. Vous n'êtes pas convaincu ? Je vous invite alors à vous demander si vous 
n'avez rien à cacher en visitant le site dédié : 
[https://jenairienacacher.fr/](https://jenairienacacher.fr/), ou en visionnant 
cette vidéo : 
[https://ldn-fai.net/je-nai-rien-a-cacher/](https://ldn-fai.net/je-nai-rien-a-cacher/).

![](img/apps/locked.png#left)  
Pour un récapitulatif du comment et du pourquoi, rendez-vous sur la page 
"email self-defense" de la **FSF**. Vous y trouverez aussi la documentation 
nécessaire à l'installation et l'utilisation d'**enigmail** : 
[https://emailselfdefense.fsf.org/fr/index.html](https://emailselfdefense.fsf.org/fr/index.html).

## Configurez votre identification

Les systèmes GNU/Linux suivent le principe des droits et permissions par 
défaut. Lorsque vous installez Debian, un mot de passe est demandé pour 
l'utilisateur principal. C'est ce mot de passe qui vous est demandé en début 
de session.

Si vous utilisez Debian en mode "mono-utilisateur", vous pouvez désactiver 
cette demande de mot de passe afin de lancer directement votre session de 
travail au démarrage de votre ordinateur.

Debian utilise par défaut trois gestionnaires de connexion : **GDM** (pour 
Gnome et Cinnamon), **LightDM** (pour MATE, LXDE, Xfce) et **SDDM** (pour KDEet LXQt)

### Connexion automatique avec GDM

![Gnome : demande de mot de passe au lancement de la session](img/06-start/34-gdm-mini.jpg)

**GDM3** ([https://wiki.debian.org/GDM](https://wiki.debian.org/GDM)) est 
le gestionnaire de connexion de Gnome, le bureau principal de Debian 10 
"Buster". Pour activer la connexion automatique, direction le menu système de Gnome :

Depuis la zone système, cliquez sur votre identifiant puis "Paramètres du compte" :

![Paramètres du compte](img/06-start/35-gdm-cfg-1.jpg)

Dans la fenêtre des préférences utilisateur, sélectionnez "Déverrouiller", 
le mot de passe administrateur vous sera demandé :

![Déverrouiller les préférences de l'utilisateur](img/06-start/36-gdm-cfg-2.jpg)

Puis activez la connexion automatique :

![Activation de la connexion automatique](img/06-start/37-gdm-cfg-3.jpg)

### Connexion automatique avec LightDM

![Interface de connexion LightDM](img/06-start/38-lightdm.jpg)

Les préférences de **LightDM** 
([https://wiki.debian.org/fr/LightDM](https://wiki.debian.org/fr/LightDM)) 
passent par son fichier de configuration "*lightdm.conf*". Pour activer la 
connexion automatique, ouvrez un terminal et passez en mode administrateur 
avec la commande "**su -**" ([chap.3.8.3](#exemple-administrateur)). 
le mot de passe administrateur vous sera demandé. Une fois fait, copiez 
(pour sauvegarder) et éditez le fichier approprié, soit en deux commandes :

    cp /etc/lightdm/lightdm.conf /etc/lightdm/lightdm.conf.bak
    nano /etc/lightdm/lightdm.conf

Le fichier s'ouvre dans l'éditeur **Nano**. Utilisez les flèches pour 
descendre jusqu'à ces lignes :

    #autologin-user=
    #autologin-user-timeout=0

Enlevez les "#" devant chaque ligne puis ajoutez votre identifiant de cette 
façon (en remplaçant *mon_identifiant* par le votre) :

    autologin-user=mon_identifiant
    autologin-user-timeout=0

Sauvegardez le fichier avec [Ctrl]+x puis répondez "O" pour oui :

![LightDM : édition du fichier de configuration dans Nano](img/06-start/39-lightdm-termedit.jpg)

Vous pouvez fermer votre terminal, au prochain redémarrage, vous n'aurez 
pas besoin d'entrer votre mot de passe. En cas de soucis, vous pouvez 
retrouver votre fichier original avec cette commande en mode administrateur :

    mv -f /etc/lightdm/lightdm.conf.bak /etc/lightdm/lightdm.conf

### Configuration de SDDM sur KDE

![SDDM : écran de connexion KDE sur Debian](img/06-start/40-kde-sddm.jpg)

**KDE** est un environnement vraiment complet et **SDDM** (Simple Desktop 
Display Manager) vous propose une interface graphique pour configurer 
votre écran de connexion. L'outil de configuration vous permettra de gérer 
le fond d'écran, la langue utilisée, quelques options et bien sûr, la 
connexion automatique.

Direction le menu principal > Applications > Configuration > Configuration 
du Système > Espace de Travail > Démarrage et arrêt.

![Lancer la configuration de l'écran de connexion sur KDE](img/06-start/41-kde-sddm-cfg-1.jpg)

Activez la connexion automatique depuis l'interface de configuration de SDDM :

![KDM : interface de configuration](img/06-start/42-kde-sddm-cfg-2.jpg)

Cochez la case "Connexion automatique" puis sélectionnez l'utilisateur 
concerné dans le menu déroulant "Utilisateur". Comme cette action modifie 
les paramètres système, le mot de passe administrateur vous sera demandé.

Une fois fait, vous pourrez lancer votre session sans demande de mot de passe.

### Connexion automatique sur LXQt

![Interface de connexion sur LXQt](img/06-start/43-lxqt-sddm.jpg)

LXQt utilise **sddm** comme KDE mais n'offre pas d'interface de configuration 
graphique. Pour ouvrir votre session LXQt sans mot de passe, il faut passer par 
le terminal et l'édition du fichier de configuration **sddm.conf**.

Commencez par créer le fichiers de configuration puis éditez-le avec **nano** 
en console. Soit dans un terminal en mode administrateur 
([chap.3.8.3](#exemple-administrateur)) :

    sddm --example-config > /etc/sddm.conf && nano /etc/sddm.conf

Renseignez le fichier en indiquant le nom de la session ("lxqt.desktop") et 
l'identifiant de l'utilisateur qui va profiter de la connexion automatique :

![Édition de sddm.conf dans l'éditeur nano en console](img/06-start/44-lxqt-sddm-termedit.jpg)

Enregistrer le fichier à l'aide des touches [Ctrl]+x puis choisissez "O" (la 
lettre) pour confirmer le nom du fchier. Au redémarrage, vous pourrez profiter 
de la connexion automatique.

## Naviguez sur le Web

![](img/apps/browser.png#left)  
La fonction principale d'un navigateur internet est de permettre la **consultation 
d'informations** disponibles sur le Web (World Wide Web). **L'utilisateur** donne 
au navigateur internet l'adresse de la ressource à consulter. Il existe 
trois manières de donner une adresse internet : 

- **Taper soi-même l'adresse internet** dans la barre d'adresse du navigateur.
- Choisir une ressource dans la **liste des favoris** (marque-page ou bookmark).
- **Suivre un hyperlien**, sachant qu'à chaque hyperlien est associée une adresse 
internet.

Le navigateur se connecte au serveur en ligne hébergeant la ressource visée et 
la télécharge. Le protocole de communication généralement utilisé est HTTP ou 
HTTPS (version sécurisée).

- Si la ressource visée est une page HTML, un fichier vidéo compatible, un PDF, 
une page s'affiche.
- Si la ressource est un fichier autre, le navigateur vous demande quoi 
faire : télécharger ou ouvrir avec une application externe.

### Exemple de navigateur Web : Firefox ![](img/logo/firefox.png)

**Firefox** 
([https://www.mozilla.org/fr/firefox/new/](https://www.mozilla.org/fr/firefox/new/)) 
est un navigateur Web libre et gratuit, développé et distribué par la **Fondation 
Mozilla** ([https://www.mozilla.org/fr/](https://www.mozilla.org/fr/)).

Debian intègre **Firefox-ESR**, la version "**E**xtended **S**upport **R**elease", 
destinée aux grandes organisations (et aux plus petites) pour les déploiements 
de masse. Cette version est maintenue pendant 10 mois à compter de sa sortie 
et ne bénéficie que des mises à jour de sécurité assurant ainsi un navigateur 
stable et sécurisé.

![Firefox sur Debian](img/06-start/45-firefox.jpg)

La fenêtre principale se compose des éléments suivants (de haut en bas) :

- **La barre d'onglets** affiche  les différentes pages ouvertes.
- **La barre d'outils** affiche le bouton de retour, la barre d'adresse, le 
champ de recherche, les marque-pages, les outils et le menu Firefox.
- **La fenêtre de navigation** qui affiche le contenu des pages web.

La **personnalisation** et la **configuration** de Firefox passent par son 
menu principal qui s'affiche lors d'un clic sur l'icône à 3 bandes.

- La première ligne du menu **"Se connecter à Sync"** vous permet, si vous avez 
préalablement créé un compte Firefox, de synchroniser vos données (comme vos 
marque-pages, historique, mots de passe, onglets ouverts et modules complémentaires 
installés) sur tous vos appareils.
- Le **"Blocage de contenu"** affiche les paramètres relatifs à la vie privée.
- **"Nouvelle fenêtre"** permet d’ouvrir une 2ème fenêtre avec le navigateur Firefox.
- **"Nouvelle fenêtre de navigation privée"** va ouvrir une 2ème fenêtre mais 
cette fois-ci, les mots de passe, les cookies et l’historique seront automatiquement 
effacés, ne laissant aucune trace à la fin de la session.
- **"Restaurer la session précédente"** permet de récupérer vos onglets et 
fenêtres de la session précédente si la navigation privée n’est pas activée.
- Vient ensuite la ligne de **zoom** : c’est explicite.
- Les outils d’édition courante (couper/copier/coller).
- **"Bibliothèque"** vous permet d’afficher et d’organiser vos marque-pages, 
historiques etc...
- **"Identifiants et mots de passe"** permet d’accéder directement aux paramètres 
relatifs aux mots de passe enregistrés dans Firefox (about${:}$preferences#privacy).
- **"Modules complémentaires"** conduit aux extensions installées (activées et désactivées).
- **"Préférences"** permet d’accéder à la rubrique générale des paramètres 
de Firefox. 
- **"Personnaliser"** lance le "mode édition" de Firefox : vous pourrez déplacer 
les outils, les ajouter depuis le menu dans la barre d’outils et inversement... bref, 
vous composez l’apparence de votre navigateur simplement avec un glisser-déposer des 
éléments sur l’interface.
- **"Ouvrir un fichier"** vous permet de constater que Firefox n’est pas qu’un outil 
permettant d’ouvrir des pages HTML : il peut également lire des fichiers image 
(.jpg, .png, .gif), texte (.txt), ou .pdf
- **"Enregistrer sous"** va vous aider à copier sur votre disque dur, dans un répertoire 
spécifié, la page internet active dans Firefox. A noter que l’extension ScrapBee facilite 
la capture et la gestion de pages internet sur le disque dur 
[https://addons.mozilla.org/fr/firefox/addon/scrapbee/?src=search](https://addons.mozilla.org/fr/firefox/addon/scrapbee/?src=search).
- **"Imprimer"** ouvre la fenêtre d’aperçu avant impression
- **"Rechercher dans la page"** active la barre de recherche. Ne reste plus qu’à 
saisir le mot clé recherché.
- **"Plus"** et plus spécifiquement le gestionnaire de tâches vous indique la 
mémoire utilisée par les pages internet ouvertes et vos extensions.
- **"Développement web"** porte bien son nom… outils à réserver aux spécialistes.
- **"Aide"** et l’icône en forme de **"?"**, envoient à l’aide en 
ligne de Firefox, vous pourrez découvrir toutes les possibilités de votre navigateur : 
[https://support.mozilla.org/fr/products/firefox](https://support.mozilla.org/fr/products/firefox).

Pour ajouter des fonctionnalités à votre navigateur Firefox, direction le 
menu principal > Modules complémentaires. Dans l'onglet qui s'ouvre, 
sélectionnez "Recommandations" et faites votre choix parmi les modules proposés 
([https://addons.mozilla.org/fr/firefox/extensions/](https://addons.mozilla.org/fr/firefox/extensions/)).

![Firefox : le catalogue des modules](img/06-start/46-firefox-addons.jpg)

### Utiliser FlashPlayer

**Adobe Flash Player** est une plate-forme multimédia **non-libre** utilisée 
pour ajouter des animations, des vidéos ou de l'interactivité à des pages 
sur internet (publicités, jeux...).

La tendance des sites est de **délaisser le flash** au profit du 
HTML5 ([https://fr.wikipedia.org/wiki/HTML5](https://fr.wikipedia.org/wiki/HTML5)).
De plus, Firefox bloque automatiquement Flash sur certains sites web qui 
pourraient poser problème.

Ce manuel étant destiné aux débutants, nous n'allons pas vous demander de 
supprimer de vos marques-pages l'intégralité des sites mal codés qui utilisent 
encore *flashplayer*... nous allons donc détailler l'installation du lecteur flash d'Adobe™.

- Commencez par visiter le site de téléchargement officiel 
([https://get.adobe.com/fr/flashplayer/](https://get.adobe.com/fr/flashplayer/)) 
qui devrait détecter votre architecture et votre navigateur. Sélectionnez la 
version "tar.gz pour linux" dans le menu déroulant :

![page de téléchargement du lecteur Adobe flash](img/06-start/47-flashplayer.jpg)

- Une fois votre archive téléchargée, clic-droit sur l'archive puis "décompressez ici".
- Ouvrez le dossier "flash_player-npapi_linux_votre-architecture", 
vous y trouverez le fichier "libflashplayer.so".
- Copiez ce fichier depuis votre navigateur de fichiers : clic-droit sur 
"libflashplayer.so" > "copier"
- Naviguez jusqu'au répertoire local des plugins de votre navigateur firefox 
(~/.mozilla) en affichant les dossier cachés (menu Affichage > Afficher les fichiers 
cachés).
- Créez le dossier "plugins" dans votre ~/.mozilla puis clic-droit dans ce 
dossier  > " coller " le fichier libflashplayer.so

**Pour mettre à jour Flash Player**, récupérez la dernière version de la 
même façon, et écrasez l'ancien fichier avec le nouveau, tout simplement.

## Visionnez une vidéo

![](img/apps/video.png#left)  
Sur votre système Debian GNU/Linux installé (ou en session Live), un double-clic 
sur un fichier vidéo ouvrira celui-ci avec le lecteur par défaut du bureau concerné.
Pour Gnome et Cinnamon, c'est le lecteur "Vidéos" (Totem) qui se lance lors 
d'un double-clic sur une vidéo :

![Totem : "Vidéos" et "Fichiers" sur Gnome-Shell](img/06-start/48-totem.jpg)

Son utilisation est très simple et intuitive. Au moindre mouvement du 
pointeur, le menu de lecture s'affiche et vous permet de naviguer dans le 
fichier vidéo, de définir la lecture en boucle ou de régler le volume. 
Le menu principal (la barre verticale formée de 3 point) vous donne accès 
aux autres fonctions.

Chaque bureau intègre son propre lecteur vidéo, largement suffisant pour 
une utilisation quotidienne.

Comme d'habitude chez Debian, vous pourrez ajouter l'application multimédia 
qui vous plait. Je vous laisse visiter la section adéquate sur le wiki officiel 
Debian : [https://wiki.debian.org/fr/Multimedia](https://wiki.debian.org/fr/Multimedia).

Si vous ne souhaitez pas trop changer vos habitudes Windows®, 
vous pouvez installer le lecteur multi-plateforme **VLC** 
à partir de la ligne de commande ou de votre gestionnaire de paquets préféré.

![VLC : lecteur multimédia sur Gnome-Shell](img/06-start/49-vlc.jpg)

**VLC** est un lecteur multimédia gratuit et libre, et un système capable de 
lire la plupart des fichiers multimédias ainsi que des DVD, des CD Audio, 
des VCD, et divers protocoles de diffusion.

## Écoutez de la musique

![](img/apps/audio.png#left)  
Debian GNU/Linux est livré avec un lecteur multimédia minimum par bureau. 
Certains permettent la gestion d'une bibliothèque musicale volumineuse, 
avec gestion du tri, des listes de lectures, pochettes, etc (comme Juk 
utilisé par le bureau KDE ou Rhythmbox décrit dans la section suivante), 
d'autres sont des lecteurs simples, légers et faciles à prendre en main 
(comme Audacious 
[https://audacious-media-player.org/](https://audacious-media-player.org/) 
ou XMMS [https://github.com/xmms2/wiki/wiki](https://github.com/xmms2/wiki/wiki)).

### À propos des formats audio reconnus nativement

[Wikipédia](https://fr.wikipedia.org/wiki/Format_de_fichier_audio) est mon ami ...

>Un **format de fichier audio** est un format de données utilisé en informatique pour stocker des sons, notamment de la musique, et de la voix humaine, sous forme numérique. L'industrie a produit de nombreux formats destinés soit à la production, soit à la diffusion.

L'élément de programme qui transforme le signal en fichier et le fichier en 
signal s'appelle un **codec** 
([https://fr.wikipedia.org/wiki/Codec](https://fr.wikipedia.org/wiki/Codec)), 
abréviation de **co**der-**dec**oder (*codeur-décodeur*).

Debian reconnaît (entre autres) les 4 formats principaux par défaut (mp3, 
ogg, flac, wav). Si vous avez besoin d'installer des codecs ou des logiciels 
audio non-libres, il faudra modifier vos dépôts 
([chap.8.1.4](#modification-des-depots)) pour y ajouter les sections "contrib" et 
"non-free".

### Exemple de lecteur audio : Rhythmbox

**Rhythmbox** 
([https://wiki.gnome.org/Apps/Rhythmbox](https://wiki.gnome.org/Apps/Rhythmbox)) 
est le lecteur de musique par défaut de l'environnement Gnome, qui 
permet de lire et d'organiser votre collection musicale.  
Voici ses fonctionnalités principales :

- Tri par artistes, albums ou genres.
- Listes de lecture.
- Affichage des pochettes et des paroles.
- Gestion des podcats et des web-radios.
- Intégration de [Jamendo](http://www.jamendo.com/fr/), 
[Magnatune](http://www.magnatune.com/) et [Last.fm](http://www.lastfm.fr/).
- Support des lecteurs portables (MTP et iPod).
- Support des télécommandes infra-rouges.
- Partage et lecture de musique sur un réseau local.

Au premier lancement, Rhythmbox scanne votre dossier "Musique", mais 
vous pouvez ajouter d'autres dossiers à votre bibliothèque musicale.

![Rhythmbox : interface par défaut](img/06-start/50-rhythmbox-1.jpg)

![Rhythmbox : menu sur Gnome-Shell](img/06-start/51-rhythmbox-2.jpg)

Rhythmbox intègre une interface de réglage des préférences ainsi qu'un système 
de greffons (ou plugins) qui permet d'ajouter des fonctionnalités au lecteur.

![Rhythmbox : gestionnaire de préférences / greffons](img/06-start/52-rhythmbox-3.jpg)

Lecteur audio par défaut du bureau Gnome, il bénéficie d'une aide complète intégrée :

![Rhythmbox : l'aide complète](img/06-start/53-rhythmbox-4.jpg)

Les principaux bureaux ont eux aussi leur lecteur dédié qui fonctionne sur 
le même principe : une bibliothèque musicale scannée par l'application qui 
vous propose la lecture simple ou par "listes de lecture", des options, 
des préférences et des plugins.  
Laissez votre souris se balader, vous ne risquez rien : une confirmation 
vous sera demandée pour chaque action impliquant la modification ou la 
suppression de vos fichiers musicaux.

## Travaillez sur traitement de texte

![](img/apps/office.png#left)  
**Debian** intègre par défaut la suite bureautique **LibreOffice** qui vous 
permettra de travailler sur tout type de format de documents issus de 
différentes suites bureautiques.

Si vous n'avez pas besoin d'un outil aussi complet, vous pourrez utiliser 
les logiciels **Abiword** 
([https://packages.debian.org/buster/abiword](https://packages.debian.org/buster/abiword)) 
et **Gnumeric** 
([https://packages.debian.org/buster/gnumeric](https://packages.debian.org/buster/gnumeric)), 
plus légers tout en conservant une grande compatibilité.

### La suite bureautique LibreOffice

![Libreoffice 6 sur Debian](img/06-start/54-libreoffice.jpg)

**LibreOffice** ([https://fr.libreoffice.org/](https://fr.libreoffice.org/)) 
est une suite bureautique libre et gratuite qui offre des modules de 
traitement de texte (Writer), tableur (Calc), présentation (Impress), dessin 
vectoriel (Draw), base de données et édition de formules mathématiques.

LibreOffice est la suite bureautique par défaut pour Debian 10 et sera 
intégrée aux principaux bureaux lors de l'installation.  
Les possibilités de LibreOffice sont nombreuses. Le wiki officiel de la 
communauté francophone est très bien fait et vous apportera une aide 
efficace et complète (nul besoin de réinventer la roue...) : 
[https://wiki.documentfoundation.org/Faq/fr](https://wiki.documentfoundation.org/Faq/fr)

Bonne lecture ![](img/smile/smile.png).

## Retouchez vos photos avec GIMP

![the Gimp](img/06-start/55-gimp-splash.jpg)

Debian livre avec ses bureaux le logiciel de manipulation graphique GIMP.

**GIMP** pour **G**NU **I**mage **M**anipulation **P**rogram, est un logiciel 
de traitement d'image. Souvent considéré comme un concurrent d'Adobe™ 
photoshop™, il en est dans tous les cas une alternative sûre avec tout de 
même un avantage, il est libre !

Disponible pour toute une panoplie d'OS, il tourne bien naturellement sur 
Linux, MacOsX, BSD et Windows®.

Il existe déjà de très bonnes documentations concernant GIMP, et cette 
page n'est là que pour rassembler, en quelques lignes, les astuces les 
plus basiques, sans pour autant devoir décortiquer des dizaines de sites 
pour trouver son bonheur.

![logo the GIMP](img/logo/gimp.png){.logo}

### Présentation de l’interface

![Gimp sur le bureau Gnome-Shell](img/06-start/56-gimp.jpg)

La fenêtre principale s'affiche et dévoile... tout plein d'outils pour s'amuser... 
![](img/smile/big_smile.png)  
La **boîte à outils** (1) - Les **options des outils** (2) - La **barre de menu** GIMP en haut au milieu (3) - **L’image active** (4) - Les **onglets** affichant les valeurs des outils 
(5) et **les calques** (6).

- **La boîte à outils** contient les icônes des différents outils de GIMP. 
Vous pouvez en ajouter ou en supprimer depuis la barre de menu > Édition > 
Préférences > Boîte à outils. La fonction de chaque outil est affichée au 
survol du pointeur.
- **Les options des outils** affichent les valeurs de l'outil en cours 
d'utilisation : la taille et la dureté du pinceau par exemple, ou 
l'opacité du remplissage...
- **La barre de menu** vous donne accès à toutes les fonctions et 
possibilités de GIMP.
- **L'image active** est affichée dans la fenêtre principale : les 
modifications apportées sont directement visibles.
- **les onglets** que vous pouvez modifier/supprimer depuis la petite 
flèche en haut à droite de l'onglet.
- **les calques** présents dans l'image active.

![](img/misc/noob-info.png#left)  
**... C'est quoi cette histoire de "calques" ?**  
**GIMP utilise le principe des calques**, c'est-à-dire la superposition 
d'images pour un rendu final. C'est le même principe que pour 
l'enregistrement d'un morceau de musique : les instruments sont tous 
enregistrés sur des "pistes audio" séparées, les voix aussi, puis on 
"mixe" le tout pour parvenir à un morceau de musique. Pour les calques 
de GIMP, c'est pareil : on sépare les différents éléments sur des calques 
et l'image finale sera exportée dans le format de votre choix (JPEG, PNG, 
etc).  
**Le format par défaut** de GIMP est le "**xcf**", un format qui permet 
de conserver l'indépendance des calques et donc, de pouvoir modifier un 
élément sans toucher aux autres calques.

### Premiers conseils

**Préparer un dossier avec une copie des images à modifier :**

On le dit souvent, la sauvegarde est ton amie et c'est aussi vrai pour la 
retouche d'image. Avant de travailler sur votre projet, créez un dossier 
où vous placerez une  copie de votre image originale ainsi que tous les 
éléments que vous désirez ajouter (d'autres images à traiter, modifier, vos 
ressources graphiques en somme).

**Enregistrer régulièrement votre travail au format ".xcf" :**

GIMP utilise le format "xcf" par défaut pour enregistrer votre projet. Ce 
format permet de sauvegarder les calques et donc, de permettre une 
modification fine de votre travail. Pour **sauvegarder** au format xcf, 
direction le menu "Fichier" > "Enregistrer". Une fois votre projet finalisé, 
vous pourrez **exporter** votre projet dans un format compressé courant 
(jpeg, png, gif) depuis le menu "Fichier" > "Exporter sous".

**Amusez-vous !** ![](img/logo/wilber-eeek.png)

Une façon de découvrir **GIMP** est de tester, d'essayer, de vous 
amuser à retoucher des photos de famille pour rigoler... créez-vous un 
dossier pour jouer avec GIMP et placez-y vos photos ou images préférées et 
commencez à *gimper* !

**Travaux pratiques** ![](img/logo/wilber-reading.png)

La documentation en ligne de GIMP est progressive et vous permettra de 
prendre en main votre nouveau jouet : 
[https://docs.gimp.org/2.10/fr/](https://docs.gimp.org/2.10/fr/)

**Imprimer une image**

Si GIMP n'imprime que des pages blanches, que l'aperçu montre désespérément 
une page blanche lui aussi, vous pouvez vous en sortir en installant le paquet 
**gimp-gutenprint** en mode administrateur ([chap.3.8.3](#exemple-administrateur)) :

    apt install gimp-gutenprint

Pour imprimer il suffira de faire: "Fichier > Print with Gutenprint". Vous 
accédez à une page et pouvez paramétrer votre imprimante et votre impression.

