# ![](img/nav42/anx.png) Sauvegardez vos données

Quel que soit votre niveau en informatique ou l'état de votre matériel, personne 
n'est à l'abri d'une mauvaise manipulation, d'un incident technique, d'un orage 
violent, d'une tasse de thé sur le clavier, d'un chat qui se soulage dans 
l'unité centrale...

Les capacités des disques durs augmentent et nous sommes tous tentés de stocker 
de plus en plus de données (photos de famille, vidéos, copies privées de films, 
etc). Le risque de perdre une grande quantité de données augmente en même temps, 
c'est pourquoi nous vous conseillons de procéder à des sauvegardes régulières 
de vos données personnelles ainsi que vos mots de passe ou données de courriel.

Cette section s'efforcera de vous donner des clés simples pour éviter une perte 
de vos fichiers favoris au cours d'une panne matérielle ou logicielle.

![](img/misc/noob-info.png#left)  
Le "cloud" est à la mode en ce moment. Plusieurs services en ligne sont mis à 
votre disposition pour coller vos données sur un serveur externe...  
Premièrement, vous n'êtes pas à l'abri d'un incident sur le serveur et 
deuxièmement, vous n'avez aucun réel contrôle sur l'utilisation faite de vos 
données. "Le cloud, c'est l'ordi d'un autre".

Je vous conseille fortement, dans le doute (tous les services de "cloud" ne 
sont pas des filiales de la NSA...), de sauvegarder vos données "en local", 
c'est-à-dire sur un support physique vous appartenant et dont vous avez le 
total contrôle.

## Choix du support

![](img/apps/backup.png#left)  
Selon la taille de vos données à sauvegarder, vous trouverez des disques durs externes 
allant de 4 Go (type clé USB) à 2 To (2000 Go), en auto-alimenté 
(directement par la prise usb) ou en alimentation externe. Les prix varient 
entre 4 et 150 euros selon la capacité.

Bien sûr, si vos données tiennent sur un CD (700Mo), vous pouvez utiliser 
un CD-RW (CDROM ré-inscriptible) pour vos sauvegardes... *à l'ancienne*.

## Les applications graphiques

![](img/apps/archive.png#left)  
Debian intègre dans ses dépôts plusieurs utilitaires 
([https://www.debian.org/doc/manuals/debian-reference/ch10.fr.html](https://www.debian.org/doc/manuals/debian-reference/ch10.fr.html#_copy_and_synchronization_tools)) 
dans le thème "sauvegarde et synchronisation", chacun avec des interfaces 
graphiques ou "clients". Nous vous présentons ici un des plus simples en 
matière de sauvegarde : Déjà-Dup.

**Déjà Dup** est largement suffisant pour une sauvegarde de vos données, mais 
si vous désirez effectuer des "sauvegardes système" (incluant vos 
applications ou toute votre installation), vous devrez passer par des 
logiciels un peu plus complexes décrits dans la documentation Debian 
([https://wiki.debian.org/fr/BackupAndRecovery](https://wiki.debian.org/fr/BackupAndRecovery)).

### Sauvegarde avec Déjà-Dup

![](img/apps/deja-dup.png#left)  
**Déjà-Dup** 
([https://wiki.gnome.org/Apps/DejaDup](https://wiki.gnome.org/Apps/DejaDup)) 
est un outil de **sauvegarde simplifié**. C'est une interface graphique à 
**Duplicity** ([http://duplicity.nongnu.org/](http://duplicity.nongnu.org/)). 
Il permet de construire des sauvegardes sécurisées de vos données dans un 
dossier local, un disque externe, un réseau local, distant ou de type "cloud".

Il permet aussi le **chiffrement complet** et la protection par **mot de 
passe** de votre sauvegarde.

**Déjà-Dup** dispose d'une **interface très claire** ne nécessitant aucune 
connaissance informatique.

#### Installation de Déjà-Dup

Déjà-Dup est présent dans les dépôts principaux Debian, pour l'installer, 
depuis un terminal en mode administrateur ([chap.3.8.3](#exemple-administrateur)) :

    apt update && apt install deja-dup

Ou depuis les interfaces graphiques 
([chap.8.5](#synaptic-le-gestionnaire-de-paquets-complet-pour-debian)), 
recherchez "deja-dup".

#### Premier lancement et configuration de Déjà-Dup

![Déjà-Dup : interface par défaut](img/09-backup/01-dejadup.jpg)

**Déjà Dup** est disponible dans votre menu d'applications, section 
"Accessoires" > "**Backups**".

Au premier lancement, les préférences de Déjà-Dup vous permettent de sélectionner 
les dossiers à sauvegarder, ceux à ignorer, ainsi que l'emplacement et la 
planification de la sauvegarde.

Son interface simple et intuitive vous guidera tout au long du processus.  
Comencez par ajouter des dossiers à sauvegarder :

![Déjà-Dup : sélection des dossiers à sauvegarder](img/09-backup/02-dejadup-include.jpg)

![Déjà-Dup : sélection des dossiers à ignorer](img/09-backup/03-dejadup-exclude.jpg)

Une fois vos dossiers *inclus* et *exclus* définis, il reste à définir 
l'emplacement de la sauvegarde. Vous pouvez choisir : 

- un disque USB comme dans l'exemple --pensez à le brancher avant--, 
- un dossier local, mais dans ce cas, vos données ne seront pas sécurisées 
en cas de crash du disque dur,
- un serveur distant de type "cloud" (*l'ordi d'un autre...*).

![Déjà-Dup : sélection de l'emplacement de la sauvegarde](img/09-backup/04-dejadup-place.jpg)

Selon l'utilisation de votre ordinateur, vous pouvez programmer des sauvegardes 
plus ou moins fréquentes. Notez que si vous avez choisi un disque USB comme 
emplacement de sauvegarde, il faudra le connecter à chaque fois.

![Déjà-Dup : planification de la sauvegarde](img/09-backup/05-dejadup-planification.jpg)

#### Sauvegarder vos données avec Déjà-Dup

![Déjà-Dup : lancer la première sauvegarde](img/09-backup/06-dejadup-demarrer.jpg)

Une fois vos réglages effectués, **lancez la première sauvegarde** grâce au 
bouton "Démarrer la sauvegarde" présent dans l'onglet "Vue d'ensemble".

La première sauvegarde sera plus ou moins longue selon la taille des données 
à sauvegarder, les sauvegardes suivantes seront plus rapides car elles ne 
prendront en compte que les fichiers/dossiers modifiés : c'est la sauvegarde 
incrémentale.

L'intérêt bonus est le mot de passe possible lors de la configuration, et 
qui permet de chiffrer l'intégralité de votre sauvegarde :

![Déjà-Dup : protéger la sauvegarde](img/09-backup/07-dejadup-password.jpg)

![Déjà-Dup : lancement de la sauvegarde](img/09-backup/08-dejadup-backup.jpg)

![Déjà-Dup : vue d'ensemble après sauvegarde](img/09-backup/09-dejadup-backuped.jpg)

#### Récupérer vos données avec Déjà-Dup

![Déjà-Dup : restaurer une sauvegarde](img/09-backup/10-dejadup-restaurer-1.jpg)

Pour **récupérer une sauvegarde** sur un nouveau système installé par exemple, 
il suffit d'installer **Déjà Dup**, puis de choisir "Restaurer" dans la 
fenêtre principale.

Une série de fenêtres simples vont vous aider à retrouver puis récupérer 
vos données. Comme pour la sauvegarde, la restauration se déroule de façon intuitive :

![Déjà-Dup : définir l'emplacement de la sauvegarde à récupérer](img/09-backup/11-dejadup-restaurer-2.jpg)

![Déjà-Dup : définir la date de la sauvegarde (si plusieurs sont disponibles)](img/09-backup/12-dejadup-restaurer-3.jpg)

![Déjà-Dup : définir l'emplacement de restauration](img/09-backup/13-dejadup-restaurer-4.jpg)

![Déjà-Dup : résumé de la restauration](img/09-backup/14-dejadup-restaurer-5.jpg)

![Déjà-Dup : préparation de la restauration](img/09-backup/15-dejadup-restaurer-6.jpg)

Si la sauvegarde a été chiffrée, le mot de passe vous sera demandé, puis la 
restauration de vos données commencera. Une fenêtre de confirmation s'affichera 
une fois la restauration achevée :

![Déjà-Dup : mot de passe demandé](img/09-backup/16-dejadup-restaurer-7.jpg)

![Déjà-Dup : lancement de la restauration](img/09-backup/17-dejadup-restaurer-8.jpg)

![Déjà-Dup : restauration terminée](img/09-backup/18-dejadup-restaurer-9.jpg)

## La méthode manuelle

![](img/apps/archive.png#left)  
Si vous ne souhaitez sauvegarder qu'un seul dossier, ou quelques dossiers, 
vous pouvez utiliser votre gestionnaire de fichiers ou votre gestionnaire 
d'archives (pour réduire la taille de la sauvegarde grâce à la 
compression) tout simplement.

Cette méthode manuelle produit des archives "réelles" : la consultation 
ultérieure des données implique la décompression de l'archive.

Depuis votre gestionnaire de fichiers, sélectionnez les dossiers à 
sauvegarder, puis un clic-droit sur la sélection, choisir "Créer une 
archive...".

Il ne vous reste qu'à déplacer votre archive sur un support externe.

## Le clonage du système

![](img/logo/clonezilla.png)  
C'est la solution complète assurant une totale sécurité pour vos 
données : cloner la totalité de votre disque dur.

**Clonezilla Live** ([https://clonezilla.org/](https://clonezilla.org/)) 
est un Live CD basé sur la distribution **Debian GNU/Linux** et 
contenant le logiciel **Clonezilla**. Il permet à l'utilisateur 
d'effectuer, directement depuis la machine : 

- **une sauvegarde :** copie du disque entier, ou d'une ou plusieurs 
partitions, sous forme d'une image envoyée vers tout moyen de stockage
- **une restauration :** récupération d'une image depuis son point de 
stockage (même disque, autre disque, autre machine, clé USB, réseau, etc.)
- **une copie :** copie directe des données depuis le disque original 
vers un autre disque

Cette version de Clonezilla peut se connecter à différents serveurs : 
serveur SSH, serveur Samba, système NFS...

Comme précisé dans son nom, le principe est celui du Live CD (CD-ROM 
ou DVD-ROM), mais il peut aussi être exécuté depuis une clé USB, un 
disque dur externe, etc. 
(source [Wikipédia](https://en.wikipedia.org/wiki/Clonezilla) )

Pour un tutoriel en français, visitez cette page :  
[https://www.commentcamarche.net/faq/20942-clonezilla-cloner-son-systeme-configure](https://www.commentcamarche.net/faq/20942-clonezilla-cloner-son-systeme-configure)

