# ![](img/nav42/install.png) Installer Debian

C'est le grand moment... il faut se jeter à l'eau.

![GNU & Tux on the road by Péhä CC-BY-SA](img/peha/avatar-handy25-by_peha-ccbysa.png){.logo}

Les sections suivantes décrivent le mode d'installation classique en 
**Simple Boot** : Debian sera la seule distribution présente sur le disque dur et 
l'installation sera automatique (partitionnement assisté avec tout le système 
dans une seule partition)

**Ce manuel est destiné aux débutants** et ne couvre pas l'intégralité des 
possibilités d'installation d'un système Debian. Si vous êtes dans une situation 
particulière n'étant pas listée ici, consultez le manuel d’installation Debian 
en ligne 
([https://www.debian.org/releases/stable/installmanual](https://www.debian.org/releases/stable/installmanual)).  
Pour les installations différentes (/home séparé, LVM, Chiffré, Dual-Boot, 
Multi-Boot, etc) vous trouverez les liens vers les documentations dédiées 
en fin de chapitre ([chap.5.5](#installations-detaillees-en-ligne)).

## Avant l'installation

La plupart des utilisateurs n'a jamais eu à installer un système (les ordinateurs 
sont livrés avec un système d'exploitation pré-installé) et çela peut faire un peu 
peur. Prenez donc le temps de bien vous préparer, respirez, tout va bien se passer 
![](img/smile/cool.png).

### Compatibilité du matériel

Une des premières questions lorsqu'on souhaite installer Debian porte sur la 
compatibilité du matériel : *est-ce-que Debian va tourner sur mon ordinateur ?*

Une façon simple et rapide de vérifier est de taper dans un moteur de recherche le 
terme "Debian" suivi du modèle de votre machine : cherchez "Debian lenovo thinkpad 
X200" par exemple. Dans le doute, n'hésitez pas à demander sur un forum d'entraide 
([chap.1.2](#trouver-de-laide)).

Pour être certain, vous pouvez passer par une distribution offrant une session de 
test "live" ([chap.5.3.1](#tester-debian-en-session-live)).

### Sauvegarde des données

Si vous prévoyez d'écraser totalement votre disque dur avec Debian, vérifiez bien 
qu'aucune donnée personnelle sensible ne s'y trouve : elle sera perdue.

**Pensez à sauvegarder vos données avant toute manipulation des partitions.** 
([chap.9](#sauvegardez-vos-donnees))

### Espace nécessaire

Une distribution Debian occupe en moyenne 10 Go, mais prévoyez tout de même un 
minimum de 15 Go afin de pouvoir télécharger les mises à jour. Pour plus de sécurité 
si vous prévoyez d'ajouter quelques applications, 20 Go et vous serez à l'aise.

### Temps d’installation

**Installer Debian** depuis une ISO "netinstall" (installation par le réseau) 
demande du temps car les logiciels sont téléchargés depuis les serveurs Debian durant 
le processus : le temps d'installation dépend donc de la qualité de votre connexion 
internet et peut varier entre 40 minutes et 1h30.

**Installer une dérivée** comme celle proposée par 
[Debian Facile](https://dflinux.debian-facile.org) prend beaucoup moins de temps 
(environ 20 minutes selon la puissance de votre ordinateur) car l'intégralité des 
paquets se trouvent déjà dans l'image ISO téléchargée. En revanche, une mise à jour 
sera nécessaire après l'installation car les paquets intégrés datent de la 
construction de l'image ISO.

### Préparation du disque dur

Si vous prévoyez d'installer Debian comme unique système d'exploitation sur 
votre machine, vous n'avez rien à faire : l'installateur intégré dispose des 
outils nécessaires à la préparation (formatage) du ou des disques durs.

Si vous prévoyez d'installer Debian à côté d'un autre système d'exploitation, 
prenez soin de préparer votre disque dur (en défragmentant la partition 
Windows® par exemple). Plus de détails dans la section dédiée aux installations 
spécifiques ([chap.5.5](#installations-detaillees-en-ligne)).

## Téléchargez Debian

Les images ISO Debian sont disponibles pour chaque environnement de bureau et 
plusieurs architectures, en version netinstall (installation par le réseau), CD, 
DVD... depuis le site Web 
[https://www.debian.org/distrib/](https://www.debian.org/distrib/).

### Quelle image dois-je télécharger ?

Voici les différentes façons d'obtenir une image ISO Debian. Si vous avez 
d'autres questions, Debian a prévu une FAQ : 
[https://www.debian.org/CD/faq/index.fr.html](https://www.debian.org/CD/faq/index.fr.html).

#### Debian Netinstall

Si votre connexion internet est stable, nous vous conseillons le téléchargement 
de l'image ISO de type "installation par le réseau" (netinstall) qui contient tout 
ce qu'il faut pour installer Debian sur tout ordinateur moderne 32 ou 64 bits 
(i386 ou amd64) avec toutes les options désirées : vous pourrez choisir votre 
interface principale lors de l'installation.

- L'avantage de cette image ISO est qu'elle ira chercher les applications sur 
les serveurs Debian pendant l'installation, vous permettant d'obtenir un 
système complètement à jour.
- L'inconvénient est qu'il vous faudra obligatoirement être connecté au réseau 
pendant l'installation, soit en filaire (par câble, à privilégier car reconnu 
nativement dans la plupart des cas), soit en Wi-Fi si il est reconnu.

C'est l'image ISO utilisée dans la section d'installation de ces cahiers.

Pour obtenir une image ISO de type "Installation par le réseau" (netinstall), 
consultez cette page : 
[https://www.debian.org/CD/netinst/index.fr.html](https://www.debian.org/CD/netinst/index.fr.html). 
Vous trouverez les liens torrents (pour partager et soulager les serveurs 
principaux) et direct "HTTPS" vers les images ISOs selon votre architecture, 
ici le lien torrent pour une image ISO de type 64 bits :

![Liens de téléchargement pour Debian netinstall](img/05-install/01-debian-netinst-page.jpg)

Notez que si vous avez absolument besoin d'une image ISO intégrant déjà les 
micrologiciels (firmwares) non-libres pour votre matériel (pour une installation 
en Wi-Fi par exemple), Debian met à votre disposition des ISOs multi-arch (installables 
sur les architectures 32 ou 64 bts) : 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/)

#### Debian sur CD/DVD

Pour obtenir une image ISO de démarrage classique pré-configurée avec un 
bureau spécifique, rendez-vous sur cette page : 
[https://www.debian.org/CD/http-ftp/index.fr.html](https://www.debian.org/CD/http-ftp/index.fr.html).

Ce fichier ISO ne permet pas de tester le système en "live" 
([chap. 5.3.1](#tester-debian-en-session-live)) afin de vérifier la compatibilité 
matérielle avec votre PC. Il permet seulement d'installer Debian sur votre machine et 
votre bureau préféré sans connexion réseau stable.

#### Debian live

Des images dites "autonomes" sont également disponibles : elles permettent de 
tester en session "live" un environnement particulier. Leur particularité est de 
ne rien modifier sur l'ordinateur, tout se passe en mémoire vive et est oublié 
une fois l'ordinateur éteint. Pour profiter d'une image live, visitez cette page : 
[https://www.debian.org/CD/live/index.fr.html](https://www.debian.org/CD/live/index.fr.html).

Tous les détails sur la session de test "live" dans le [chapitre 5.3.1](#tester-debian-en-session-live).

Notez que si vous avez absolument besoin d'une image ISO intégrant déjà les 
micrologiciels (firmwares) non-libres pour votre matériel (pour un test en Wi-Fi 
par exemple), Debian met à votre disposition des ISOs de type Live-non-free : 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/)

#### Debian par Debian-facile

Les “ISOs Debian-Facile” sont des images d'installation de Debian modifiées par
des membres de la communauté [Debian-Facile](https://debian-facile.org). Ces images 
d'installation ont pour objectif de faire gagner du temps aux débutants en leur 
donnant accès à un système Debian prêt à l'emploi, testable en session live 
et installable. 
Plus d'infos sur le site officiel du projet : 
[https://dflinux.debian-facile.org](https://dflinux.debian-facile.org).  
![](img/logo/dflinux-banner.png)

#### Debian torrent

Pour soulager les serveurs principaux et partager dans le même temps votre image 
ISO avec d'autres membres de la communauté, vous pouvez utiliser le protocole BitTorrent.
Pour obtenir la liste des "torrent" disponibles, visitez cette page : 
[https://www.debian.org/CD/torrent-cd/index.fr.html](https://www.debian.org/CD/torrent-cd/index.fr.html).

### Vérifiez l'image ISO

Afin de vérifier l'intégrité de l'image, Debian utilise le calcul de la 
"**somme md5**". On peut l'utiliser pour tout type de données, mais il est 
particulièrement utile lors du téléchargement d'une image ISO.

Notez que les sommes md5 indiquées dans ce manuel, le sont à titre d'exemple : 
pensez à vérifier la somme md5 de votre fichier sur le site de téléchargement.

#### Vérification md5 sur GNU/Linux

L'outil de vérification **md5** est intégré par défaut dans quasi toutes 
les distributions GNU/Linux. Pour vérifier la somme md5 d'un fichier, il 
suffit de lancer la commande *md5sum* depuis un terminal, en se plaçant dans 
le dossier où se trouve le fichier à vérifier :

    user@debian-pc: cd ~/Téléchargements
    user@debian-pc:~/Téléchargements md5sum debian-live-10.3.0-i386-xfce.iso

qui vous renverra un résultat du type :

    39452ff60d3c9e9873f6d56ce2f82eb2  debian-live-10.3.0-i386-xfce.iso

Le résultat sera à comparer avec la somme md5 donnée par le site d'où provient 
votre fichier ISO.

Pour une vérification en mode graphique, vous pouvez utiliser le programme 
**[GtkHash](https://packages.debian.org/fr/buster/gtkhash)** 
présent dans les dépôts Debian.

- Installer GtkHash (à partir du Terminal ou du gestionnaire de paquets Synaptic),
- Lancer GtkHash depuis votre menu d'applications (rubrique Accessoires),
- Dans la ligne *Fichier*, indiquer le fichier ISO à vérifier,
- Dans la ligne *Vérifier* : coller l'empreinte de contrôle récupérée sur internet.
Pour l'image ISO debian-netinstall amd64, il faut vérifier sur la page 
[https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/MD5SUMS](https://cdimage.debian.org/debian-cd/current/amd64/iso-cd/MD5SUMS) :

![GtkHash : vérification de l'empreinte MD5](img/05-install/02-gtkhash.jpg)

- Cliquer sur le bouton *Hacher* : les empreintes numériques du fichier 
apparaîtront dans les lignes pour chaque fonction de hachage (MD5, SHA1, SHA256,...)
- Si l'intégrité est exacte, un symbole de validation s'affichera alors après 
la ligne "Vérifier" et après la ligne du type de hachage adéquat.

#### Vérification md5 sur Windows®

Pour vérifier graphiquement la somme md5 depuis un poste Windows®, utilisez le 
logiciel **HashMyFiles** à télécharger ici : 
[https://www.nirsoft.net/utils/hash\_my\_files.html](https://www.nirsoft.net/utils/hash\_my\_files.html). 
Vous devez descendre en bas de page pour trouver les liens de téléchargements.

- Téléchargez le fichier archive selon les caractéristiques de votre système : 
"hashmyfiles.zip" pour un système 32 bits ou "hashmyfiles-x64.zip" pour un 
système 64 bits.
- Extraire les 3 fichiers contenus dans l’archive zip sur votre disque dur
- Lancer le fichier HashMyFiles.exe
- Sélectionner le fichier à contrôler à partir du menu "File" > "Add Files" puis 
cliquez sur "Ouvrir" :

![HashMyFiles : ajout d'un fichier](img/05-install/03-hashmyfiles-1.jpg)

![HashMyFiles : choix de l'ISO Debian](img/05-install/04-hashmyfiles-2.jpg)

- Le fichier est chargé puis les empreintes MD5, SHA1, etc sont calculées

![HashMyFiles : chargement de l'ISO](img/05-install/05-hashmyfiles-3.jpg)

![HashMyFiles : calcul de l'empreinte](img/05-install/06-hashmyfiles-4.jpg)

- Effectuez un double-clic sur la ligne relative au fichier ISO contrôlé, les 
différentes empreintes sont affichées. Il reste à les comparer avec celles 
mentionnées sur le site de téléchargement.

![HashMyFiles : liste des empreintes calculées](img/05-install/07-hashmyfiles-5.jpg)

### Transfert sur CD/DVD

![](img/apps/dvd.png#left)  
Pour graver votre fichier ISO Debian sur un CD/DVD depuis un poste GNU/Linux, 
ouvrez simplement votre logiciel de gravure préféré, indiquez-lui le chemin 
vers votre debian-xx.iso téléchargée, puis lancez la gravure de votre support.

Pour les utilisateurs Microsoft®, consultez le tuto pour Windows®7/8/10 : 
[https://lecrabeinfo.net/graver-un-fichier-iso-sur-cd-dvd-sous-windows-10-8-7.html](https://lecrabeinfo.net/graver-un-fichier-iso-sur-cd-dvd-sous-windows-10-8-7.html)

### Transfert sur clé USB

![](img/misc/usb.png#left)  
La clé USB est un moyen pratique pour installer ou tester une distribution 
GNU/Linux car vous pouvez en changer souvent, et en tester plusieurs. Elle 
permet aussi de sécuriser vos tests car une fois la session terminée, aucune 
trace ne reste, ni sur votre clé, ni sur l'ordinateur ayant démarré sur la clé.

#### Transfert depuis un poste GNU/Linux

Le transfert se fera via le **Terminal**, c'est la méthode 
recommandée. Toutefois, une méthode graphique est disponible sur Debian-facile : 
[https://debian-facile.org/doc:environnements:gnome:gnome-disk-utility](https://debian-facile.org/doc:environnements:gnome:gnome-disk-utility).

Pour commencer, branchez votre clé USB, puis lancez un terminal en mode 
administrateur "root" ([chap.3.8.3](#exemple-administrateur)). Nous allons 
identifier la clé USB à utiliser grâce à la commande 

    blkid

qui vous donnera un résultat du type :

    /dev/sda1: LABEL="system" UUID="3d378712-1b6e-4f66-b9e8-2a6673c62199" TYPE="ext4" 
    /dev/sda5: UUID="65bdec62-8d0e-49ca-b70b-c99340e4ee5e" TYPE="swap"
    /dev/sdb1: UUID="F9B8-E691" TYPE="vfat"

Ici, notre clé est identifiée comme **UUID="F9B8-E691"**, est formatée en "**vfat**" 
et contient la partition **sdb1**. Notez bien ce **sdb1** pour ne pas, par 
erreur, effacer une partition de votre disque dur interne (ici **sda1**).

L'ISO Debian se trouve dans le dossier Téléchargements. Plaçons-nous dedans pour 
agir sur le fichier ISO (la variable "$HOME" remplace l'adresse "/home/votre\_identifiant") :

    cd $HOME/Téléchargements

Nous allons maintenant transférer le contenu de l'ISO sur la clé USB grâce à la 
commande "**dd**". Prenez bien soin de nommer la clé USB "**sdb**" **et pas** 
*sdb1*, car c'est le disque qui compte, pas la partition et changez "debian-xx.iso" 
par le numéro de version correspondant.  
Toujours dans votre terminal en mode administrateur "root" ([chap.3.8.3](#exemple-administrateur)) :

    dd if=debian-xx.iso of=/dev/sdb bs=4M status=progress; sync

Le temps de transfert sur votre clé USB dépend de la taille de l’ISO et du taux 
de transfert de votre port USB. Cette opération peut durer 10 à 15 minutes 
(la progression de la copie s’affiche dans le terminal). Le terminal vous 
"rendra la main" une fois le transfert terminé.

#### Depuis un poste Windows® avec win32DiskImager

Win32DiskImager est un utilitaire de création de support amorçable pour 
Windows® : il vous permettra de créer une clé USB sur laquelle vous allez faire 
démarrer votre ordinateur afin d'y installer Debian.  
Pour l'installer sur votre système Windows®, rendez-vous sur la page principale 
du projet, puis téléchargez la dernière version : 
[https://sourceforge.net/projects/win32diskimager/](https://sourceforge.net/projects/win32diskimager/)

Win32DiskImager s'installe comme les autres logiciels compatibles Windows®. Une 
fois en place, commencez par brancher votre clé USB et notez l'identifiant du 
disque affiché (disque "F:" par exemple). Lancez ensuite Win32DiskImager.

![Interface par défaut de Win32DiskImager](img/05-install/08-win32diskimager.jpg)

- en **1**, choisissez l'image ISO Debian téléchargée : cliquez sur l'icône de 
dossier afin d'ouvrir le sélecteur de fichier. Win32DiskImager ne cherchera que 
les fichiers de type ".img" par défaut : pensez à définir le filtre de 
recherche sur "." et non ".img" afin de visualiser votre debian-xxx.iso.
- en **2**, indiquez le périphérique à utiliser : c'est le disque monté lors de 
l'insertion de votre clé USB. **Attention !** Toutes les données présentes sur 
la clé seront **supprimées** pendant la procédure de transfert.
- en **3**, lancez l'écriture de l'image ISO sur la clé. Vous pourrez suivre 
la progression du processus directement dans la fenêtre de Win32DiskImager.

Patientez un instant et vous serez en possession d'une clé USB bootable de Debian !

Il ne vous reste qu'à redémarrer votre ordinateur sur cette clé bootable et 
lancer l'installation.

### Démarrer sur le CD/DVD ou l'USB

Pour procéder à l'installation de Debian depuis votre support CD/DVD ou USB, il 
faut démarrer dessus. Si votre ordinateur ne démarre pas automatiquement sur le 
support d'installation, il faut accéder au "Boot Menu" ou modifier l'ordre de 
boot dans le BIOS.

Certains ordinateurs possèdent une fonction qui permet de démarrer directement 
sur un périphérique sans avoir à modifier le BIOS. Tout comme pour accéder au 
BIOS, il faut tapoter sur une touche du clavier dès qu'on allume le PC. Il 
s'agit généralement des touches **SUPPR** ou **DEL** ou **F2** pour accéder au 
BIOS ou de la touche **F12** pour accéder seulement aux options de démarrage.

Source CNET : 
[http://forums.cnetfrance.fr/topic/101668](http://forums.cnetfrance.fr/topic/101668).

#### Le Boot-Menu

La touche pour accéder au menu de démarrage peut varier d'un ordinateur à un 
autre. Cette touche ainsi que celle d'accès au BIOS est indiquée lors du 
démarrage pendant une ou deux secondes.

Plusieurs sites précisent quelles touches permettent d’accéder au BIOS ou au menu 
de "boot". Par exemple : 
[https://www.malekal.com/liste-touches-acces-bios-boot-menu-constructeur/](https://www.malekal.com/liste-touches-acces-bios-boot-menu-constructeur/)

![Accéder au menu de boot sur Toshiba](img/05-install/09-bootmenu-0.jpg)

![Accéder au menu de boot sur Dell](img/05-install/09-bootmenu-1.jpg)

Le menu de boot permet de sélectionner le disque de démarrage sans passer par le BIOS

![Sélection d'un disque de démarrage](img/05-install/10-bootmenu-2.jpg)

Utilisez les flèches du clavier afin de sélectionner le périphérique approprié 
(pour l'USB, c'est "Removable Devices").

Lorsque l’on accède aux paramètres du BIOS il convient de vérifier si dans 
l'entrée Hard drive (ou HDD) il n'y aurait pas une arborescence que l'on peut 
ouvrir, et découvrir ainsi si la clé USB y apparaît. Si c'est le cas, vous pourrez 
"faire remonter" votre clé USB en première position en vous aidant des touches 
[F5]/[F6] de votre clavier.

#### Configuration du Bios

Sans le menu de démarrage, il faudra modifier l'ordre dans le BIOS.

Une fois rentré dans le BIOS, les opérations à faire sont très simples, il 
faut toutefois éviter de modifier les autres paramètres. Heureusement, le 
programme permet de quitter sans enregistrer en cas de mauvaise manipulation 
grâce à la touche ESC (ou Echap). D'autres touches tel que F9 ou F10 vont 
vous permettre de charger les paramètres par défaut ou de quitter en 
enregistrant les modifications :

- **F9**: Charger les paramètres par défaut
- **F10**: Enregistrer les modifications et quitter
- **ESC**: Annuler les modifications et quitter

La navigation se fait à l'aide des touches directionnelles (flèches) du 
clavier, on valide et on rentre dans les options grâce à la touche **[ENTER]**. 
ou [Entrée] Dans la plupart des modèles de BIOS, il suffit de se déplacer jusqu'à 
mettre en surbrillance le menu "**Boot**", puis de trouver où se situe le réglage 
de la sélection des périphériques au démarrage (boot device, boot sequence, 
boot priority), et enfin sélectionner quel périphérique doit se trouver en 
première position, puis deuxième, troisième etc.

![BIOS : configuration de l'ordre de Boot (sources linuxtrack.net)](img/05-install/11-bios-startup.jpg)

Voici le nom des périphériques tels qu'ils peuvent apparaître dans le BIOS :

- Un lecteur de **cd-rom** apparaîtra en tant que **CD/DVD** ou **CD-ROM**
- Un **disque dur** apparaîtra en tant que **HDD** ou **HARD DRIVE** ou 
**HARD DISK** ou encore **IDE**...
- Un périphérique **USB** apparaîtra en tant que **USB HDD**, **USB DRIVE** 
ou **USB DEVICE** ou **Removable Device**.

#### Configuration du BIOS/UEFI/Secure Boot

La prise en charge de SecureBoot avec UEFI est enfin d’actualité avec Debian 10 
Buster, pour les architectures AMD64, i386 et ARM64. Cela signifie que l’on peut 
désormais tester et installer Debian 10 sans désactiver le SecureBoot : 
[https://www.debian.org/releases/buster/amd64/release-notes/ch-whats-new.en.html#secure-boot](https://www.debian.org/releases/buster/amd64/release-notes/ch-whats-new.en.html#secure-boot) 
![](img/smile/cool.png).

**Changer l'odre de démarrage**

Il vous faudra quand même changer l'ordre de démarrage afin que le système démarre 
en premier sur la clé USB (ou le DVD). Cliquez sur l'onglet "Boot" ou "Startup" de 
votre paneau de configuration UEFI et modifiez si nécessaire de manière à ce que 
votre support soit le premier dans la liste comme pour le chapitre "BIOS" 
précédent. Sauvegardez vos modifications avant de quitter.

![Sauvegarde des réglages (sources linuxtrack.net)](img/05-install/12-bios-uefi-save.jpg)

## Tester Debian sans risque

La meilleure façon de faire votre choix est d'essayer le système directement 
sur votre ordinateur !  
Deux possibilités s'offrent à vous : vous pouvez tester une distribution 
GNU/Linux depuis une session autonome de type "live" ou directement depuis 
votre système windows® grâce à un logiciel de virtualisation : VirtualBox 
ou Vmware.

### Tester Debian en session Live

![Le menu d'accueil du Live Debian 10](img/05-install/13-install-menu-live.jpg)

Debian fournit des images autonomes de type "live" permettant de tester sans 
risque un environnement. Leur particularité est de ne rien modifier sur 
l'ordinateur, tout se passe en mémoire vive et est oublié une fois l'ordinateur 
éteint.

Ces images disposent d'un lanceur d'installation sur le bureau qui permet, une 
fois testée, d'installer Debian directement depuis votre session. Vous trouverez un "pas à pas" de ce mode d'installation au chapitre suivant.  
Pour profiter d'une image live, visitez cette page : 
[https://www.debian.org/CD/live/index.fr.html](https://www.debian.org/CD/live/index.fr.html).

![](img/misc/noob-info.png#left)  
Le principe du Live CD est de pouvoir utiliser/tester une distribution sur un 
ordinateur sans risques pour vos données personnelles. Le Live permet aussi de 
tester la compatibilité de votre matériel.  
Debian est "compressée" dans un fichier spécial (le squashfs.filesystem) qui est 
intégré dans l'image ISO que vous avez téléchargé. C'est ce fichier spécial qui 
est “décompressé” lors de l'utilisation en Live. Il sera copié sur votre disque 
dur lors de l'installation.

#### Installer Debian depuis une session Live avec Calamares

Quelle que soit la version choisie (Gnome, KDE, Xfce...), vous trouverez sur le 
bureau et/ou dans le menu "Système", une entrée pour installer directement 
Debian. Ainsi, après avoir testé la compatibilité de votre machine, vous 
pourrez directement installer l'environnement choisi depuis la session "live".

![Lanceur d'installation Debian](img/05-install/14-install-launcher-live.jpg)

**Attention :** cette méthode d'installation n'est pas celle recommandée par défaut. 
L'installation en Live comporte un risque : si l'interface graphique se fige pour 
une raison ou une autre, le processus d'installation sera compromis.

Si vous choisissez cette option, c'est l'installateur graphique **Calamares** qui
se lancera pour mettre en place votre système. Ici avec une session Live LXQt, 
commencez par sélectionner votre langage :

![Installateur Calamares : choix de la langue](img/05-install/15-calamares-01-langage.jpg)

Il vous suffit ensuite de suivre les instructions à l'écran...

![Installateur Calamares : choix du pays](img/05-install/16-calamares-02-pays.jpg)

L'onglet **Localisation** vous permettra de configurer l'horloge via votre 
fuseau horaire.

![Installateur Calamares : choix du clavier](img/05-install/17-calamares-03-clavier.jpg)

L'onglet **Clavier** est très (trop?) complet... dans le doute, choisissez le 
clavier par défaut, vous pourrez toujours le modifier après l'installation.

![Installateur Calamares : schéma de partitionnement](img/05-install/18-calamares-04-partition.jpg)

L'onglet **Partitions** est le plus important car il va vous permettre de modifier 
l'agencement du ou des disques dur de votre ordinateur : à utiliser avec précaution.  
Pour une installation en *single boot* (Debian sera le seul système sur la machine), 
vous pouvez choisir "Effacer le disque".  
Pour une installation en *dual boot* (à côté d'un autre système), choisissez "Installer 
à côté". Dans le doute, posez la question sur un forum ([chap 1.2](#trouver-de-laide)).

![Installateur Calamares : création de l'utilisateur](img/05-install/19-calamares-05-user.jpg)

L'onglet **Utilisateur** vous permettra de définir votre identité sur cette machine. 
Votre nom complet, votre identifiant de connexion et votre mot de passe.  
Vous pourrez également activer la connexion automatique (sans mot de passe) pour 
votre utilisateur.

![Installateur Calamares : résumé avant installation](img/05-install/20-calamares-06-resume.jpg)

L'onglet **Résumé** porte bien son nom... prenez quelques instants pour vérifier 
les informations fournies car une fois que vous aurez cliqué sur "Installer", le 
formatage des partitions commencera. En cas d'erreur, vous pouvez encore revenir 
en arrière avec le bouton "Précédent".

![Installateur Calamares : installation du système Debian](img/05-install/21-calamares-07-installation.jpg)

C'est le moment de boire un thé, d'ouvrir une fenêtre (une vraie, avec une vitre...) 
pendant que l'installateur Calamares fait son travail.

![Installateur Calamares : fin d'installation](img/05-install/22-calamares-08-installed.jpg)

Votre ordinateur redémarre sur votre nouveau système Debian ... 
profitez ![](img/smile/big_smile.png)

![Lancement du système Debian GNU/Linux](img/05-install/23-plymouth.jpg)

### Tester Debian depuis Windows® ou Mac® avec VirtualBox

![](img/logo/vbox.png)  
**Virtualbox** ([http://www.virtualbox.org/](http://www.virtualbox.org/)) est 
un logiciel de virtualisation disponible pour les principaux systèmes 
d'exploitation. Ce logiciel va vous permettre de tester votre Debian ou tout 
autre OS GNU/Linux directement sur votre bureau Windows®. Virtualbox n'est pas 
le seul logiciel de virtualisation : vous trouverez une liste sur la page 
dédiée Wikipédia 
([https://fr.wikipedia.org/wiki/Virtualisation#Hyperviseur_de_type_2](https://fr.wikipedia.org/wiki/Virtualisation#Hyperviseur_de_type_2)).

Internet fourmille de tutoriels à propos de l'installation de Virtualbox. 
Je vous laisse consulter celui de WikiHow 
([http://fr.wikihow.com/installer-VirtualBox](http://fr.wikihow.com/installer-VirtualBox) 
(cc-by-nc-sa)) et la documentation officielle VirtualBox : 
[https://www.virtualbox.org/wiki/Downloads#manual](https://www.virtualbox.org/wiki/Downloads#manual)

![](img/misc/noob-info.png#left)  
**... on part dans le monde virtuel là ??**
Oui, un peu . Le logiciel de virtualisation permet de tester ou d'installer 
**un système *dans* un système**, et d'assurer l'indépendance des deux 
installations. VirtualBox va "faire croire" au système que vous désirez tester 
(désigné comme "*système invité*") qu'il est tout seul sur son ordinateur, 
tout en assurant des échanges (dossier partagé, partage de la connexion réseau, 
etc) avec le *système hôte*.  
Votre système invité sera installé sur un "disque virtuel", qui sera simplement 
comme une grosse archive dans un dossier de vos documents.  
Notez que cette méthode de test ne permet pas de vérifier la compatibilité du 
matériel et n'est là que pour vous faire découvrir une distribution avant de 
l'installer sur votre disque dur.

## Installation simple boot

Et voici le moment tant attendu, l'installation proprement dite du système 
Debian GNU/Linux sur votre machine ... Prêt à vous lancer dans l'aventure ?

Voici un pas à pas en images pour installer **Debian** simplement à l'aide de 
l'installateur graphique. **Cette méthode écrase la totalité du disque** et 
installe Debian comme unique système d'exploitation sur votre machine. 
L'image ISO est de type 'Installation par le réseau" (netinstall).  
L'installeur Debian affiche une explication à chaque étape. Sur GNU/Linux 
![](img/logo/gnulinux.png), pas de publicité, alors prenez les 
quelques secondes nécessaires pour lire les petits messages de votre futur système

Notez que si vous utilisez un autre type d'image ISO que celle de notre exemple 
(debian "netinstall"), certaines étapes seront ignorées : elles seront 
automatiquement configurées par l'installateur Debian.

### Lancement de l’installation

En démarrant sur l'installateur, on commence par le sélecteur du mode d'installation :

![Installtion : le menu de lancement UEFI](img/05-install/24-install-menu-efi.jpg)

Selon le modèle de votre carte mère, ou si elle démarre en mode *BIOS* 
l'apparence peut changer légèrement. Dans tous les cas, choisissez "Graphical Install"

![Installtion : le menu de lancement BIOS](img/05-install/25-install-menu-bios.jpg)

- le mode **Install** propose un texte en gris sur fond bleu avec un 
déplacement uniquement au clavier grâce aux flèches, à la touche 'Tab ⇆' et 
à la touche 'Espace' pour cocher ou décocher une case.
- Le mode **Graphical Install** propose une interface plus jolie et utilisable 
avec la souris ![](img/smile/smile.png).
- Deux autres modes sont configurés spécialement pour améliorer l'accessibilité 
de l'installateur.

Chaque panneau de l'installateur dispose d'un texte explicatif clair qui 
récapitule l'action en cours. Quand vous ne savez pas, prenez les réglages 
par défaut. **Attention à l'étape du partitionnement** : celui-ci va écraser 
les données sur le disque désigné pour y installer Debian.

### Sélection de la langue

Le choix de la langue du système par défaut : ce choix modifiera aussi la 
langue de l'installateur lui-même qui affichera ensuite les messages en 
français (si vous prenez "French").

![Installation : choix de la langue](img/05-install/26-install-01-langue.jpg)

### Choix de la situation géographique

![Installation : choix du pays](img/05-install/27-install-02-pays.jpg)

Ce choix permet de configurer automatiquement la date et l'heure de votre 
système depuis un serveur de temps distant.

### Configurer le clavier

![Installation : choix du clavier](img/05-install/28-install-03-clavier.jpg)

Vous pouvez ici choisir l'agencement général de votre clavier. Notez que vous 
pourrez configurer plus finement vos touches une fois le système installé.

### Configurer le nom du système

![Installation : choix du nom d'hôte](img/05-install/29-install-04-hostname.jpg)

Le nom d'hôte est le "petit surnom" de votre ordinateur. Pour une utilisation 
domestique, vous pouvez choisir ce que vous voulez. Pour un poste en réseau, 
pensez à demander conseil à votre administrateur réseau.

### Configurer un nom de Domaine (optionnel)

![Installation : choix du nom de domaine](img/05-install/30-install-05-domaine.jpg)

Ne rien mettre si vous ne savez pas... ou demandez à votre administrateur réseau.

### Création du compte root

![Installation : mot de passe administrateur](img/05-install/31-install-06-root.jpg)

Entrez le mot de passe pour l'administrateur (deux fois pour confirmer). 
Comme indiqué dans le petit texte à caractère informatif, la création d'un 
compte administrateur "root" n'est pas obligatoire. Si vous laissez les 
champs libres, le premier utilisateur recevra les pleins pouvoirs et pourra 
effectuer les tâches d’administration en utilisant la commande "sudo" 
accompagnée de son propre mot de passe.

Le mot de passe n'est pas affiché par défaut mais vous pouvez cocher les 
cases adéquates afin de vérifier la correspondance des mots de passe. Ne 
mettez pas "*motdepasseadmin*" ... par pitié.  
Plus d'information sur les mots de passe dans le 
[chapitre 10.1.3](#mot-de-passe).

### Création du premier utilisateur

![Installation : nom complet de l'utilisateur principal](img/05-install/32-install-07-username.jpg)

Commencez par indiquer **le nom complet** de l'utilisateur principal.

### Identifiant (login) de l'utilisateur

![Installation : identifiant de connexion de l'utilisateur principal](img/05-install/33-install-08-login.jpg)

Puis renseignez **l'identifiant**, c'est-à-dire le pseudo utilisé lors 
de la connexion (login).  
Vous pourrez céer d'autres utilisateurs une fois le système installé, en leur 
donnant, ou non, les droits pour administrer votre système.

### Mot de passe pour le premier utilisateur

![Installation : mot de passe de l'utilisateur principal](img/05-install/34-install-09-userpass.jpg)

Comme pour l'administrateur, répétez le mot de passe deux fois pour confirmer.

### Choix du mode de partitionnement assisté ou manuel

![Installation : choix du mode de partitionnement](img/05-install/35-install-10-part-method.jpg)

Pour obtenir une installation de type "monoboot" (un seul système sur 
l'ordinateur), il faut sélectionner un disque entier.

![](img/misc/noob-info.png#left)  
**.... kézako le "partitionnement" ?**  
Le partitionnement est l'organisation des différentes partitions de votre système. 
Les partitions sont des zones définies de votre disque dur, chacune avec ses 
spécificités (système de fichier, identifiant unique, etc). Pour fonctionner 
correctement, Debian GNU/Linux a besoin au minimum d'une partition afin d'y 
installer le système. Une partition supplémentaire d'échange (la SWAP) est 
très vivement conseillée afin de pallier à un manque de mémoire vive, mais 
aussi pour accéder aux fonctions de mise en veille et d'hibernation.  
Le schéma de partitionnement assisté propose 2 partitions (système + swap) 
mais vous pouvez opter pour un schéma proposant le "/home" séparé et utiliser 
un autre disque dur pour vos données personnelles par exemple.

### Choix du disque sur lequel on va créer la partition

![Installation : choix du disque pour l'installation](img/05-install/36-install-11-part-disk.jpg)

Dans notre exemple, il n'y a qu'un seul disque. Si votre configuration 
est différente, prenez soin de choisir le "disque principal" généralement 
désigné **sda**.

### Choix du partitionnement

![Installation : choix du partionnement](img/05-install/37-install-12-part-schema.jpg)

Vos données seront stockées sur des partitions. Dans un système domestique 
classique, vous pouvez "ranger" vos données sur le même disque que votre "système" 
et donc, choisir "Tout dans une seule partition".

### Continuer ou modifier le partitionnement

![Installation : vérifier le partitionnement proposé](img/05-install/38-install-13-part-resume.jpg)

Le schéma de partitionnement est affiché pour vérification : vous pouvez 
modifier l'agencement si nécessaire, mais le schéma proposé par défaut 
est souvent le bon.

### Récapitulatif du partitionnement et lancement du formatage

![Installation : confirmation du partitionnement](img/05-install/39-install-14-part-confirm.jpg)

![](img/misc/warning.png#left)  
**Attention ! À partir de cette étape, l'installateur commence à formater les 
partitions.**  
**Les données contenues sur le disque sélectionné seront effacées !**

![Installation du système de base](img/05-install/40-install-15-install-base.jpg)

Le système de base s'installe alors. Vous pourrez choisir votre interface graphique 
principale lors des étapes suivantes.

![logo Debian](img/logo/debian-90.png){.logo}

### Analyse des CD ou DVD supplémentaires (optionnel)

![Installation : insertion d'un support additionnel](img/05-install/41-install-16-addoncd.jpg)

Optionnel : si vous avez opté pour la série de CD Debian contenant l'ensemble 
des paquets nécessaires à l'installation, c'est à ce moment que vous insérez le CD n°2.

Si vous utilisez une image ISO de type "installation par le réseau" comme dans 
notre exemple, vous pouvez passer cette étape.

### Utilisation d'un miroir sur le réseau

![Installation : utilisation d'un mroir](img/05-install/42-install-17-opt-miror.jpg)

![](img/misc/noob-info.png#left)  
**... je le dépose où le miroir ?**  
**Un dépôt miroir** est un serveur informatique accessible qui héberge 
l'ensemble des paquets Debian. Si vous ne disposez pas de tous les CD, Debian 
viendra piocher les logiciels ou paquets dont vous avez besoin sur des serveurs miroirs.  
Il existe des serveurs de dépôts dans le monde entier, chacun étant une copie de 
l'autre (miroir). Dans cet exemple nous choisirons dans les sections qui suivent, 
un miroir situé en France, accessible depuis internet.

### Choix du pays dans lequel se trouve le miroir

![Installation : choix du pays pour le miroir des dépôts](img/05-install/43-install-18-miror-pays.jpg)

Ces cahiers étant francophones, le choix par défaut "France" semble évident. 
Cependant, vous prendrez soin de choisir un miroir proche de chez vous si vous 
habitez en dehors de la France métropolitaine.

### Choix du serveur hébergeant le miroir

![Installation : choix du miroir](img/05-install/44-install-19-miror-depot.jpg)

Le choix par défaut est souvent le bon.

L'entrée "deb.debian.org" vous redirigera vers le serveur disponible le plus 
proche de chez vous.

### Configuration d'un serveur mandataire ou "proxy" (optionnel)

![Installation : configuration du proxy](img/05-install/45-install-20-proxy.jpg)

À laisser vide, si vous ne savez pas.

### Participation - ou pas - aux statistiques Debian

![Installation : statistiques Debian](img/05-install/46-install-21-stats.jpg)

Cela peut être utile pour la communauté mais c'est sans obligation.  
Notez que la participation aux statistiques Debian n'implique pas la captation de 
vos données personnelles ni l'envoi de courriels publicitaires... vous pouvez 
participer sans crainte.

### Sélection des logiciels

![Installation : choix des logiciels et du bureau](img/05-install/47-install-22-logiciels-choix.jpg)

C'est le moment de sélectionner votre interface de bureau principale ainsi que 
les services principaux installés par défaut. Voici un petit descriptif des 
choix proposés :

- **Environnement de Bureau Debian** permet d'installer un bureau, ou pas. 
L'installation d'un environnement de bureau peut se faire plus tard, ou ne pas 
se faire du tout, ce n'est pas indispensable pour un serveur par exemple.  
Dans cet exemple, c'est l'environnement Gnome qui sera installé. Notez que vous 
pouvez en installer plusieurs : ils seront disponibles depuis votre gestionnaire 
de connexion.
- **Serveur web** comprend une pré-sélection de paquets dédiés au serveur Web.
- **Serveur d'impression** comprend une pré-sélection de paquets dédiés à la 
reconnaissance et la gestion de votre imprimante.
- **Serveur SSH** permet l'activation du protocole ssh et la prise de contrôle 
à distance. **Attention**, l'activation du serveur SSH peut créer une faille de 
sécurité s'il est mal configuré.
- **Utilitaires usuels du système** comprend une série d'applications 
pour gérer votre système d'exploitation.

### Installation des paquets

![Installation : téléchargement des paquets](img/05-install/48-install-23-logiciels-download.jpg)

C'est le moment de faire une pause : le téléchargement et l'installation des 
paquets peut prendre un certain temps en fonction de la puissance de votre 
machine et du débit de votre connexion internet.

![Installation : installation des paquets](img/05-install/49-install-24-logiciels-install.jpg)

### Installation de GRUB, le sélecteur de démarrage

![Installation : installation de GRUB](img/05-install/50-install-25-grub-choix.jpg)

GRUB est le "lanceur" de votre système GNU/Linux. Il doit être installé 
pour assurer le démarrage de votre Debian. Le choix par défaut "oui" est 
donc à conserver, sauf si vous savez exactement ce que vous faites.

### Choix de l'emplacement pour GRUB

![Installation : choix du disque pour GRUB](img/05-install/51-install-26-grub-disk.jpg)

Dans une installation de type monoboot simplifiée, installez Grub sur le 
**disque principal** de votre ordinateur, généralement désigné sous le 
nom de "**sda**".

![Installation : installation de  GRUB](img/05-install/52-install-27-grub-install.jpg)

### On termine et on relance l'ordinateur

![Installation : fin de l'installation](img/05-install/53-install-28-end.jpg)

Pensez à retirer le CD ou la clé USB pour éviter de retomber sur l'installateur au 
redémarrage (en cas de changements effetués dans le BIOS).  
On termine le processus d'installation en cliquant simplement sur "Continuer".

### Premier démarrage de Debian

![Redémarrage sur le sélecteur GRUB](img/05-install/54-install-29-reboot-grub.jpg)

L'entrée par défaut lancera votre système et les options avancées intègrent 
le lancement en "mode recovery", qui vous permet d'effectuer certaines tâches 
de maintenance en cas de perte de session graphique. Vient ensuite l'ouverture de 
session du système Debian, ici pour Gnome, géré par GDM.

![Debian : l'écran de connexion Gnome](img/05-install/55-gdm-password.jpg)

## Installations détaillées en ligne

Debian offre plus de possibilités que la méthode d'installation décrite dans 
le chapitre précédent, mais ce manuel étant destiné aux débutants, les modes 
d'installation plus complexes sont détaillés dans les différents wiki de la 
communauté. 
Pour avoir une idée, petite présentation des autres modes d'installations...

### Dual-Boot

Le "**Dual-Boot**" permet d'installer côte à côte deux systèmes indépendants 
l'un de l'autre et ainsi vous permettre, au démarrage de votre ordinateur, 
de choisir quel système lancer.

![](img/misc/warning.png#left)  
**Ce n'est pas la méthode recommandée** : elle comporte un risque pour vos 
données lors du redimensionnement des partitions. Si vous choisissez cette 
solution pour débuter sur Debian, sachez que vous pouvez tout à fait tester 
depuis une **session Live** ([chap.5.3.1](#tester-debian-en-session-live)) 
sans risque pour vos données.

Une documentation complète sur le Dual-Boot est disponible sur Debian-Facile : 
[https://debian-facile.org/doc:install:dual-boot-debian-et-windows-sur-un-ordinateur-equipe-de-l-uefi](https://debian-facile.org/doc:install:dual-boot-debian-et-windows-sur-un-ordinateur-equipe-de-l-uefi).

### LVM ? Kézako ?

**LVM** sont les initiales de **L**ogical **V**olume **M**anager ou *gestionnaire 
de volumes logiques*. Son utilisation consiste à :

- Créer une partition spécifique de type "LVM", (qui correspond à un **disque** monté).
- À l'intérieur de cette partition, nous créons et modifions à volonté des "volumes 
logiques", (qui correspondent aux **partitions**) que nous y créerons, 
eux-mêmes formatés et dimensionnés à notre convenance.

Ainsi, l'utilisation de "Volumes Logiques" remplace "le partitionnement" 
habituel des disques d'une manière beaucoup plus souple, 
permettant à tout moment la gestion du volume de chacun d'eux.  
De même, il est possible de conserver une partie de la partition LVM sans 
volume logique d'installé, dans l'attente d'une gestion ultérieure. 
Plus de détails sur la page dédiée à LVM du wiki Debian : 
[https://wiki.debian.org/fr/LVM](https://wiki.debian.org/fr/LVM).

### Chiffrer, pourquoi faire ?

La confidentialité des données personnelles est un sujet d'actualité. Afin 
de protéger au mieux vos données, vous pouvez opter pour **l'installation 
chiffrée**. Avec ce type d'installation, même en cas de vol de votre 
ordinateur et démontage du disque dur, pas d'accès possible sans mot de passe !

[Le cahier de l'admin](https://debian-handbook.info/browse/fr-FR/stable/sect.installation-steps.html#sect.install-partman)
 nous donnent plus de détails :

> Cette fonctionnalité peut se greffer très facilement en amont de n'importe quel système de fichiers puisque, comme pour **LVM**, Linux (et plus particulièrement le pilote "dm-crypt") utilise le "Device Mapper" pour créer une partition virtuelle (dont le contenu sera protégé) en s'appuyant sur une partition sous-jacente qui stockera les données sous une forme chiffrée (grâce à **LUKS** — **L**inux **U**nified **K**ey **S**etup soit "Configuration de clés unifiée pour Linux" — un format standard permettant de stocker les données chiffrées mais aussi des méta-informations indiquant les algorithmes de chiffrement employés).

Pour faire simple, LUKS crée un container pour y loger un volume chiffré 
protégé par un mot de passe.

Pour plus de détails et un guide complet, visitez le guide d’auto-défense numérique : 
[https://guide.boum.org/tomes/2_en_ligne/](https://guide.boum.org/tomes/2_en_ligne/).

### Le RAID, c'est dur ?

[Wikipédia](https://fr.wikipedia.org/wiki/RAID_%28informatique%29) est mon ami...

> Le **RAID** est un ensemble de techniques de virtualisation du stockage permettant de répartir des données sur plusieurs disques durs afin d'améliorer soit les performances, soit la sécurité ou la tolérance aux pannes de l'ensemble du ou des systèmes.
>
>**RAID** est l'acronyme de **R**edundant **A**rray of **I**ndependent **D**isks, ce qui signifie "regroupement redondant de disques indépendants".

Notez que l'installation Debian en mode RAID utilise le RAID Logiciel (grâce 
au logiciel mdadm) et non le RAID Matériel (géré par un contrôleur RAID physique).

Pour plus de détails et un tutoriel d'installation complet, visitez 
[le carnet du maker](https://www.carnetdumaker.net/articles/debian-8-jessie-en-configuration-raid-1-pour-les-nuls/).

![GNU en lévitation par Nevrax Design Team - GPLv3](img/logo/gnu-meditate-levitate.png){.logo}

